import Vue from 'vue'
import echarts from 'echarts'

/** **************************收费组件注册******************************/

export default function (filiale) {
  Vue.prototype.$echarts = echarts

  Vue.component('safehidden-analy', (resolve) => {
    require(['./components/safeCheck/analysis/SafeHiddenAnaly'], resolve)
  })

  /** **************************安全服务******************************/
  // 安全服务首页
  // Vue.component('security-servicehome', (resolve) => {
  //   require(['./components/SecurityService/SecurityServiceHome'], resolve)
  // })
  // //管网
  // Vue.component('manage-net', (resolve) => {
  //   require(['./components/SecurityService/ManageNet'], resolve)
  // })
  // //运行
  // Vue.component('operational', (resolve) => {
  //   require(['./components/SecurityService/Operational'], resolve)
  // })
  // //用户
  // Vue.component('user-num', (resolve) => {
  //   require(['./components/SecurityService/UserNum'], resolve)
  // })
  // //安检
  // Vue.component('safe-check1', (resolve) => {
  //   require(['./components/SecurityService/SafeCheck1'], resolve)
  // })
  // //维修
  // Vue.component('maintain', (resolve) => {
  //   require(['./components/SecurityService/Maintain'], resolve)
  // })
  // //监控
  // Vue.component('monitor1', (resolve) => {
  //   require(['./components/SecurityService/Monitor'], resolve)
  // })
  //
  // //经营管控供气量导入
  // Vue.component('supply-management', (resolve) => {
  //   require(['./components/ManageHome/ImportSupplygas/SuppleManagement'], resolve)
  // })
  //
  // Vue.component('add-supply', (resolve) => {
  //   require(['./components/ManageHome/ImportSupplygas/AddSupply'], resolve)
  // })
  //
  // Vue.component('supply-select', (resolve) => {
  //   require(['./components/ManageHome/ImportSupplygas/SupplySelect'], resolve)
  // })
  //
  // Vue.component('update-supply', (resolve) => {
  //   require(['./components/ManageHome/ImportSupplygas/UpdateSupply'], resolve)
  // })
  //
  //
  // /** ****************************经营管控********************************************/
  // //经营管控
  // Vue.component('manage-home', (resolve) => {
  //   require(['./components/ManageHome/ManageHome'], resolve)
  // })
  // //经营管控
  // Vue.component('loading', (resolve) => {
  //   require(['./components/ManageHome/loading'], resolve)
  // })
  // //首页
  // Vue.component('home', (resolve) => {
  //   require(['./components/ManageHome/Home/Home'], resolve)
  // })
  // //用户
  // Vue.component('use-home', (resolve) => {
  //   require(['./components/ManageHome/User/UseHome'], resolve)
  // })
  // //客服
  // Vue.component('service-home', (resolve) => {
  //   require(['./components/ManageHome/CustomerService/ServiceHome'], resolve)
  // })
  // // 安检
  // Vue.component('check-home', (resolve) => {
  //   require(['./components/ManageHome/SecurityCheck/CheckHome'], resolve)
  // })
  // // 监控
  // Vue.component('monitor-home', (resolve) => {
  //   require(['./components/ManageHome/Monitor/MonitorHome'], resolve)
  // })
  // // 管网
  // Vue.component('net-home', (resolve) => {
  //   require(['./components/ManageHome/NetWork/NetHome'], resolve)
  // })
  //
  // /*------------------------------安全服务钻取-----------------------------*/
  // //钻取
  // Vue.component('drill-data', (resolve) => {
  //   require(['./components/ManageHome/Drill/DrillData'], resolve)
  // })
  // //钻取汇总
  // Vue.component('drill-pool', (resolve) => {
  //   require(['./components/ManageHome/Drill/DrillPool'], resolve)
  // })
  // //钻取详情
  // Vue.component('drill-list', (resolve) => {
  //   require(['./components/ManageHome/Drill/DrillList'], resolve)
  // })
  //
  // /*------------------------------首页-----------------------------*/
  // //用户
  // Vue.component('user-module', (resolve) => {
  //   require(['./components/ManageHome/Home/UserModule'], resolve)
  // })
  // //呼叫中心
  // Vue.component('call-center', (resolve) => {
  //   require(['./components/ManageHome/Home/CallCenter'], resolve)
  // })
  // //呼叫
  // Vue.component('call-statistics', (resolve) => {
  //   require(['./components/ManageHome/Home/CallStatistics'], resolve)
  // })
  // //维修
  // Vue.component('call-fix', (resolve) => {
  //   require(['./components/ManageHome/Home/CallFix'], resolve)
  // })
  // //管网
  // Vue.component('net-work', (resolve) => {
  //   require(['./components/ManageHome/Home/NetWork'], resolve)
  // })
  // //运行
  // Vue.component('gasvalue', (resolve) => {
  //   require(['./components/ManageHome/Home/GasValue'], resolve)
  // })
  // //安检
  // Vue.component('safe-check', (resolve) => {
  //   require(['./components/ManageHome/Home/SafeCheck'], resolve)
  // })
  // //监控
  // Vue.component('monitor', (resolve) => {
  //   require(['./components/ManageHome/Home/Monitor'], resolve)
  // })
  // /*-----------------------------用户---------------------------------*/
  // //用户数量
  // Vue.component('user-number', (resolve) => {
  //   require(['./components/ManageHome/User/UserNumber'], resolve)
  // })
  // //主要用户展示
  // Vue.component('user-gas', (resolve) => {
  //   require(['./components/ManageHome/User/UserGascontrast'], resolve)
  // })
  // //用户数量增长
  // Vue.component('user-increase', (resolve) => {
  //   require(['./components/ManageHome/User/UsernumIncrease'], resolve)
  // })
  // //用户数量增长
  // Vue.component('sale-proportion', (resolve) => {
  //   require(['./components/ManageHome/User/SaleProportion'], resolve)
  // })
  // //用户数量增长
  // Vue.component('inspec-distri', (resolve) => {
  //   require(['./components/ManageHome/User/InspecDistri'], resolve)
  // })
  // // 用气分布图
  // Vue.component('gas-distri', (resolve) => {
  //   require(['./components/ManageHome/User/GasDistri'], resolve)
  // })
  // /*-----------------------------客服---------------------------------*/
  // //每月话务统计
  // Vue.component('service-statistics', (resolve) => {
  //   require(['./components/ManageHome/CustomerService/ServiceStatistics'], resolve)
  // })
  // //每周话务统计
  // Vue.component('traffic-statistics', (resolve) => {
  //   require(['./components/ManageHome/CustomerService/TrafficStatistics'], resolve)
  // })
  // //咨询原因
  // Vue.component('reason-consultation', (resolve) => {
  //   require(['./components/ManageHome/CustomerService/ReasonConsultation'], resolve)
  // })
  // //投诉原因
  // Vue.component('reason-complaint', (resolve) => {
  //   require(['./components/ManageHome/CustomerService/ReasonComplaint'], resolve)
  // })
  // //维修统计
  // Vue.component('service-fix', (resolve) => {
  //   require(['./components/ManageHome/CustomerService/ServiceFix'], resolve)
  // })
  // //用户满意程度统计
  // Vue.component('contentment', (resolve) => {
  //   require(['./components/ManageHome/CustomerService/ContentmentStatistics'], resolve)
  // })
  // // 异常情况汇总
  // Vue.component('excep-collect', (resolve) => {
  //   require(['./components/ManageHome/CustomerService/ExcepCollect'], resolve)
  // })
  //
  // /*-----------------------------安检---------------------------------*/
  // // 安检计划统计
  // Vue.component('plan-statistics', (resolve) => {
  //   require(['./components/ManageHome/SecurityCheck/PlanStatistics'], resolve)
  // })
  // // 安检状态统计
  // Vue.component('state-statistics', (resolve) => {
  //   require(['./components/ManageHome/SecurityCheck/StateStatistics'], resolve)
  // })
  // // 安检用户类型
  // Vue.component('customer-type', (resolve) => {
  //   require(['./components/ManageHome/SecurityCheck/CustomerType'], resolve)
  // })
  // // 安检员统计
  // Vue.component('task-statistics', (resolve) => {
  //   require(['./components/ManageHome/SecurityCheck/TaskStatistics'], resolve)
  // })
  // // 安检隐患统计
  // Vue.component('latent-danger', (resolve) => {
  //   require(['./components/ManageHome/SecurityCheck/LatentDanger'], resolve)
  // })
  // /*-----------------------------监控---------------------------------*/
  // // 警告
  // Vue.component('caveat', (resolve) => {
  //   require(['./components/ManageHome/Monitor/Caveat'], resolve)
  // })
  // // 监控中心
  // Vue.component('monitor-center', (resolve) => {
  //   require(['./components/ManageHome/Monitor/MonitorCenter'], resolve)
  // })
  // // 长期未用气用户统计
  // Vue.component('no-gas', (resolve) => {
  //   require(['./components/ManageHome/Monitor/NoGas'], resolve)
  // })
  // // 失联用户统计
  // Vue.component('no-contact', (resolve) => {
  //   require(['./components/ManageHome/Monitor/NoContact'], resolve)
  // })
  // // 长期未购气用户统计
  // Vue.component('nobuy-gas', (resolve) => {
  //   require(['./components/ManageHome/Monitor/NoBuyGas'], resolve)
  // })
  // // 往期购气对比
  // Vue.component('compared-gas', (resolve) => {
  //   require(['./components/ManageHome/Monitor/ComparedGas'], resolve)
  // })
  // // 供销差
  // Vue.component('buysub', (resolve) => {
  //   require(['./components/ManageHome/Monitor/BuySub'], resolve)
  // })
  // // 气表品牌分布
  // Vue.component('meterbrand', (resolve) => {
  //   require(['./components/ManageHome/Monitor/MeterBrand'], resolve)
  // })
  //
  // /*-----------------------------管网---------------------------------*/
  // // 管网隐患
  // Vue.component('net-danger', (resolve) => {
  //   require(['./components/ManageHome/NetWork/NetDanger'], resolve)
  // })
  // // 巡线
  // Vue.component('line-inspection', (resolve) => {
  //   require(['./components/ManageHome/NetWork/LineInspection'], resolve)
  // })
  // // 巡线
  // Vue.component('supply-gas', (resolve) => {
  //   require(['./components/ManageHome/NetWork/SupplyGas'], resolve)
  // })
}
