// import OnTimePressureRegulatorStation from '../../../components/scada/OnTimePressure/OnTimePressureRegulatorStation'

export default {
  // 把打印需要默认选中的字段名放在config数组中
  userConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_phone': '客户电话',
    'f_idnumber': '身份证号',
    'f_balance': '账户余额',
    'f_user_level': '客户等级',
    'f_user_type': '用户类型',
    'f_address': '客户地址',
    'f_residential_area': '小区',
    'f_building': '楼栋',
    'f_unit': '单元',
    'f_floor': '楼层',
    'f_room': '门牌号',
    'f_user_state': '客户状态',
    'f_createfile_date': '建档日期',
    'f_createfile_person': '建档人',
    'f_comments': '备注',
    'f_bank_accopen': '银行户名',
    'f_bank_name': '银行名称',
    'f_bank_account': '银行账号',
    'f_inputtor': '抄表员',
    'f_bank_idnumber': '银行身份证号',
    'f_bank_pay_number': '缴费编号',
    'f_gas_date': '通气时间'
  },

  // 垃圾费查询
  flotsamprice: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_user_phone': '客户电话', 'f_price_type': '收费类型',
    'f_state': '收费状态', 'f_price': '单价', 'f_money': '收费金额', 'f_operate_date': '收费时间',
    'f_operator': '人员', 'f_depname': '部门', 'f_orgname': '公司'
  },

  // 操作记录查询
  recordConfig: {
    'f_operat_type': '操作类型',
    'f_describe': '操作详情',
    'f_state': '状态',
    'f_operate_date': '操作时间',
    'f_orgname': '公司名称',
    'f_depname': '部门名称',
    'f_operator': '操作人员'
  },
  // 业务查询
  businesConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_money': '收款金额',
    'f_operat_type': '操作类型',
    'f_state': '操作状态',
    'f_operate_date': '操作日期',
    'f_orgname': '组织名称',
    'f_depname': '部门名称',
    'f_operator': '操作人',
    'f_meternumber': '表号'
  },
  // 收据查询
  receiptConfig: {
    'f_userinfo_code': '用户编号', 'f_user_name': '客户名称', 'f_address': '客户地址', 'f_meternumber': '表号',
    'f_olduserinfo_code': '档案编号', 'f_total_money': '余额', 'f_tax_money': '税金', 'f_bill_number': '发票号码',
    'ef': '收票人', 'f_operate_date': '操作日期', 'f_type': '收费类型', 'f_buy_name': '客户名称',
    'f_buy_address': '客户地址', 'f_buy_phone': '客户电话', 'f_balance': '余额', 'f_meter_type': '气表类型',
    'f_payment': '付款方式', 'f_user_type': '客户类型', 'f_gasproperties': '用气性质', 'f_orgid': '组织编号',
    'f_orgname': '公司名称', 'f_depid': '部门编号', 'f_depname': '部门名称', 'f_operatorid': '人员编号', 'sf': '收费员',
    'f_preamount': '预收款', 'f_pregas': '应收气量', 'f_collection': '实收款'
  },
  // 收据查询默认选择
  receiptexportConfig: {
    'f_userinfo_code': '用户编号', 'f_user_name': '客户名称', 'f_address': '客户地址', 'f_meternumber': '表号'
  },
  // 资源操作
  resourceConfig: {
    'operate': '操作内容',
    'tablename': '操作表明',
    'type': '操作类型',
    'time': '操作时间',
    'id': '主键id',
    'userid': '登录id',
    'loginip': '登录ip',
    'username': '登陆人',
    'usertelephone': '电话',
    'logindate': '登陆时间',
    'ltype': '登录类型'

  },
  wechatConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_meter_brand': '气表品牌',
    'f_meter_type': '气表类型', 'f_user_phone': '客户电话', 'f_open_id': '微信标识', 'f_band_state': '绑定状态',
    'f_address': '客户地址'
  },
  meterConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_customer': '团缴编号',
    'f_userfiles_id': '表ID',
    'f_user_phone': '客户电话',
    'f_rent_phone': '备用电话',
    'idnumber': '身份证号',
    'f_address': '客户地址',
    'f_book_slice_area': '表册片区',
    'f_balance_amount': '表上余额',
    'f_user_type': '客户类型',
    'f_usetype': '使用类型',
    'f_gasproperties': '用气性质',
    'f_meternumber': '表号',
    'f_card_id': '卡号',
    'f_price_name': '气价名称',
    'value': '气价详情',
    'f_meter_brand': '气表品牌',
    'f_meter_style': '气表型号',
    'f_inputtor': '户管员',
    'f_gas_person': '通气人',
    'f_gas_date': '通气时间',
    'f_input_date': '建表时间',
    'f_table_state': '气表状态',
    'isbgl': '是否壁挂炉',
    'f_networkvalve': '自动阀控'
  },
  ResidentialQuery: {
    'f_residential_area': '小区',
    'hushu': '户数',
    'xinhushu': '新建户数',
    'f_oughtfee': '用气金额',
    'f_oughtamount': '用气量',
    'f_debt_money': '相抵',
    'f_charge_money': '实收',
    'f_qianfei': '欠费'
  },
  CommunityPaymen: {
    'f_residential_area': '小区名称',
    'f_oughtfee': '应收',
    'f_debt_money': '相抵',
    'sf_debt_money': '实收',
    'qf': '欠费',
    'f_balance': '余额'
  },
  deviceConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_phone': '客户电话',
    'f_address': '客户地址',
    'f_user_state': '客户状态',
    'f_meternumber': '表号',
    'watchpurchase': '购买方式',
    'f_devices_type': '设备类型',
    'f_devices_no': '设备编号',
    'f_brand': '设备品牌',
    'f_devices_model': '设备型号',
    'f_devices_num': '设备数量',
    'f_userinfodevices_state': '设备状态',
    'f_pipe_type': '管道类型',
    'f_make_date': '生产日期',
    'f_service_life': '使用年限',
    'f_input_person': '安装人',
    'f_input_date': '安装日期',
    'f_expire_date': '到期日期',
    'f_operator': '操作人',
    'f_operate_date': '操作时间',
    'f_comments': '备注'
  },
  userDeviceConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_nature': '用户性质',
    'f_userinfodevices_type': '设备类型',
    'f_userinfodevices_no': '设备编号',
    'f_userinfodevices_model': '设备型号',
    'f_userinfodevices_num': '设备数量',
    'f_userinfodevices_name': '设备别名',
    'f_expire_date': '缴费到期时间',
    'f_mtc_fee': '累计维护缴费金额'
  },
  changUserConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_phone': '客户电话',
    'f_field_name': '更改内容',
    'f_used_content': '更改前',
    'f_new_content': '更改后',
    'f_operator': '操作人',
    'f_operate_date': '操作日期',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_comments': '修改原因'
  },
  sellingChargePriceConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_meter_type': '气表类型',
    'f_price_name': '气价名称',
    'f_type': '收费类型',
    'f_price': '单价',
    'f_gas': '气量',
    'f_money': '气费'
  },
  chargeConfig: {
    'id': '收费编号',
    'f_userinfo_code': '客户编号',
    'f_olduserinfo_code': '档案编号',
    'f_user_name': '客户名称',
    'f_user_phone': '客户电话',
    'f_address': '客户地址',
    'f_zones': '片区',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_meternumber': '表号',
    'f_meter_brand': '气表品牌',
    'f_times': '购气次数',
    'f_price_name': '气价名称',
    'f_last_tablebase': '上期底数',
    'f_tablebase': '本期底数',
    'f_pregas': '气量',
    'fee': '金额',
    'f_preamount': '燃气费',
    'f_collection': '收款',
    'f_privilege_money': '优惠金额',
    'f_balance': '上期结余',
    'f_curbalance': '本期结余',
    'f_type': '收费类型',
    'f_payment': '付款方式',
    'f_bank_type': '支付渠道',
    'f_state': '状态',
    'f_operate_date': '收费日期',
    'f_serial_id': '流水号',
    'f_delaypay': '违约金',
    'f_comments': '备注',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_yucun': '预存金额',
    'f_card_id': '卡号',
    'f_stairamount1': '一阶气量',
    'f_stair1price': '一阶单价',
    'f_stair1fee': '一阶气费',
    'f_stair2amount': '二阶气量',
    'f_stair2price': '二阶单价',
    'f_stair2fee': '二阶气费',
    'f_stair3amount': '三阶气量',
    'f_stair3price': '三阶单价',
    'f_stair3fee': '三阶气费',
    'f_inputtor': '抄表员',
    'f_residential_area': '小区',
    'f_serial_number': '业务单号'
  },
  loginQueryConfig: {
    'userid': '登录人编号', 'username': '登录人名称', 'logindate': '登录时间', 'type': '类型'
  },
  pricetypeGasConfig: {
    'f_price': '价格类型', 'f_gas': '当日售气量', 'f_money': '当日售气金额'
  },
  cardhandanalysisConfig: {
    'f_operate_date': '收费日期',
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_meter_brand': '气表品牌',
    'f_sell_price': '购气单价',
    'f_pregas': '购气量',
    'f_preamount': '购气金额',
    'f_collection': '充值金额',
    'f_surplus_fee': '调价补差',
    'f_curbalance': '本期结余',
    'f_payment': '付款方式',
    'f_price': '单价',
    'f_real_gas': '用气量',
    'f_real_money': '用气金额',
    'f_residual_volume': '余量',
    'f_total_usegas_amount': '剩余金额'
  },
  chargeexportConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_pregas': '气量',
    'f_collection': '收款',
    'f_stairamount1': '一阶气量',
    'f_stair2amount': '二阶气量',
    'f_stair3amount': '三阶气量'
  },
  loginQueryexportConfig: {
    'f_userinfo_id': '登录人编号', 'f_user_name': '登录人名称', 'logindate': '登录时间', 'type': '类型'
  },
  reverseexportConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_address': '客户地址'
  },
  priceGasexportConfig: {
    'f_price': '价格类型', 'f_gas': '当日售气量', 'f_money': '当日售气金额'
  },
  sellPeopleConfig: {
    'f_operator': '收费员',
    'f_oughtfee': '燃气费',
    'f_yucun': '预存款',
    'f_other_fee': '其他费',
    'f_number': '销售笔数',
    'f_cal_collection': '冲正金额',
    'f_collection': '实收金额',
    'qifei_num': '气费笔数',
    'qifei_fee': '气费金额',
    'yucun_num': '预存笔数',
    'yucun_fee': '预存金额',
    'tuifei_num': '退费笔数',
    'tuifei_fee': '退费金额',
    'f_delaypay': '已交违约金',
    'f_heji': '合计金额'
  },
  sellOrgnameConfig: {
    'f_orgname': '分公司',
    'f_oughtfee': '燃气费',
    'f_yucun': '预存款',
    'f_other_fee': '其他费',
    'f_number': '销售笔数',
    'f_cal_collection': '冲正金额',
    'f_collection': '实收金额',
    'qifei_num': '气费笔数',
    'qifei_fee': '气费金额',
    'yucun_num': '预存笔数',
    'yucun_fee': '预存金额',
    'tuifei_num': '退费笔数',
    'tuifei_fee': '退费金额',
    'f_delaypay': '已交违约金',
    'f_heji': '合计金额'
  },
  handPeopleConfig: {
    'f_inputtor': '抄表员', 'f_user_number': '应抄户数', 'f_no_hand': '未抄户数', 'f_out_hand': '已抄无用量',
    'f_hand_num': '实抄户数', 'f_hand_lv': '抄表率', 'f_oughtamount': '期间抄表气量', 'f_oughtfee': '期间抄表金额',
    'f_debt_money': '期间实收气费金额', 'f_sell_hand': '已收户数', 'f_sell_lv': '收费率'
  },
  handBookConfig: {
    'f_inputtor': '抄表员',
    'f_book_name': '抄表册',
    'f_user_number': '应抄户数',
    'f_no_hand': '未抄户数',
    'f_out_hand': '已抄无用量',
    'f_hand_num': '实抄户数',
    'f_hand_lv': '抄表率',
    'f_oughtamount': '期间抄表气量',
    'f_oughtfee': '期间抄表金额',
    'f_debt_money': '期间实收气费金额',
    'f_sell_hand': '已收户数',
    'f_sell_lv': '收费率'
  },
  handBookTwoConfig: {
    'f_inputtor': '抄表员',
    'f_book_name': '抄表册',
    'f_input_person': '录入人员',
    'f_user_number': '应抄户数',
    'f_no_hand': '未抄户数',
    'f_out_hand': '已抄无用量',
    'f_hand_num': '实抄户数',
    'f_hand_lv': '抄表率',
    'f_oughtamount': '期间抄表气量',
    'f_oughtfee': '期间抄表金额',
    'f_debt_money': '期间实收气费金额',
    'f_sell_hand': '已收户数',
    'f_sell_lv': '收费率'
  },
  handGasPropertiesConfig: {
    'f_gasproperties': '用气性质', 'f_user_number': '应抄户数', 'f_no_hand': '未抄户数', 'f_out_hand': '已抄无用量',
    'f_hand_num': '实抄户数', 'f_hand_lv': '抄表率', 'f_oughtamount': '期间抄表气量', 'f_oughtfee': '期间抄表金额',
    'f_debt_money': '期间实收气费金额', 'f_sell_hand': '已收户数', 'f_sell_lv': '收费率'
  },

  ProceedsOperConfig: {
    'f_operate_date': '日期', 'c': '售气笔数', 'f_pregas': '售气气量', 'f_preamount': '售气金额',
    'f_balance': '上期结余', 'f_curbalance': '本期结余', 'f_delaypay': '气费违约金',
    'f_returnfee': '退费', 'f_czpregas': '冲正气量', 'f_czpreamount': '冲正金额', 'f_czdelaypay': '冲正违约金',
    'fkcardnum': '发卡数', 'f_fkcardfees': '发卡费', 'gc': '其他数', 'f_gmoney': '其他费', 'cardnum': '补卡数',
    'f_cardfees': '补卡费', 'f_collection': '实收金额'
  },
  UnhandBusinessConfig: {
    'f_userinfo_code': '用户编号', 'f_user_name': '用户名称', 'f_olduserinfo_code': '档案编号', 'f_street': '区域',
    'f_residential_area': '小区', 'f_address': '用户地址', 'f_user_phone': '联系方式',
    'f_user_type': '用户类型', 'f_meternumber': '表号', 'f_total_gas': '累计气量', 'f_balance_amount': '剩余金额',
    'f_meter_state': '抄表状态', 'f_hand_date': '抄表时间', 'f_createfile_date': '建档时间', 'f_orgname': '所属机构'
  },
  noBusinessConfig: {
    'f_date': '日期',
    'f_transfernum': '过户',
    'f_fazhe': '发折',
    'f_buzhe': '补折',
    'f_huanzhe': '换折',
    'f_recordnum': '发卡',
    'f_fillcardnum': '补卡',
    'f_huanka': '换卡',
    'f_minyongxiaohu': '民用销户',
    'f_feiminyongxiaohu': '非民用销户',
    'f_weixiubuqi': '维修补气',
    'f_huanbiaobuqi': '换表补气',
    'f_disablenum': '停用',
    'f_enablenum': '启用',
    'f_zhuanfei': '转费',
    'f_minyongjibiao': '民用机表',
    'f_gongfujibiao': '公福机表',
    'f_gongyejibiao': '工业机表',
    'f_minyongkabiao': '民用卡表',
    'f_gongfukabiao': '公福卡表',
    'f_gongyekabiao': '工业卡表'
  },
  arrearsConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_book_no': '用户证号',
    'f_meter_book_sort': '册内序号',
    'f_residential_area': '小区名称',
    'f_address': '客户地址',
    'f_user_phone': '客户电话',
    'f_rent_phone': '备用电话',
    'f_inputtor': '抄表员',
    'f_book_name': '抄表册',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_comments': '备注',
    'c': '欠费期数',
    'f_hand_date': '欠费区间',
    'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额',
    'f_debt_money': '已交金额',
    'f_oughtfee_new': '应交气费',
    'overdue': '违约金',
    'f_garbage_fee': '附加费',
    'f_last_tablebase': '上期抄表底数',
    'f_tablebase': '本期抄表底数',
    'f_oughtfee_all': '合计欠费金额',
    'f_oughtfee_col': '实际欠费金额',
    'f_cost_type': '缴费方式',
    'f_meter_type': '气表类型'
  },
  areaChargeQueryConfig: {
    'f_residential_area': '小区', 'f_price': '单价', 'f_gas': '购气方量', 'f_money': '购气金额'
  },
  arrearsGYConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_meternumber': '表号',
    'f_residential_area': '小区名称',
    'f_address': '客户地址',
    'f_user_phone': '客户电话',
    'f_rent_phone': '备用电话',
    'f_inputtor': '抄表员',
    'f_book_name': '抄表册',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_comments': '备注',
    'c': '欠费期数',
    'f_hand_date': '欠费区间',
    'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额',
    'f_operate_date': '缴费时间',
    'f_debt_money': '已交金额',
    'f_oughtfee_new': '应交气费',
    'f_tablebase': '本期底数',
    'f_balance': '账户余额',
    'f_oughtfee_all': '合计欠费',
    'f_oughtfee_all_new': '实际欠费'
  },
  sellingHandConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_last_balance': '上期结余',
    'f_balance': '本期结余',
    'f_pregas': '气量',
    'f_preamount': '气费',
    'f_charge_money': '收费金额',
    'f_debt_money': '清欠金额',
    'f_overdue': '违约金金额',
    'f_type': '收费类型',
    'f_state': '收费状态',
    'f_operate_date': '操作时间',
    'f_orgname': '所属公司'
  },
  SuspiciousUserQueryConfig: {
    'f_userinfo_code': '用户编号',
    'f_user_name': '用户名称',
    'f_olduserinfo_code': '档案编号',
    'f_card_id': '卡号',
    'f_meter_brand': '气表品牌',
    'f_meter_style': '气表型号',
    'f_address': '地址',
    'f_residential_area': '小区名称',
    'f_roomcode': '门牌号',
    'f_user_phone': '电话',
    'f_pregassum': '总购气量',
    'f_lggas': '当前表购气量',
    'f_open_date': '开户时间',
    'f_pregas': '最后购气量',
    'f_operate_date': '最后购气日期',
    'f_meternumber': '表号'
  },
  compreConfig: {
    'f_user_state': '客户状态',
    'f_userinfo_code': '客户编号',
    'f_olduserinfo_code': '档案编号',
    'f_card_id': '卡号',
    'f_user_name': '客户名称',
    'f_residential_area': '小区名称',
    'f_building': '楼栋',
    'f_unit': '单元',
    'f_floor': '楼层',
    'f_room': '门牌号',
    'f_address': '详细地址',
    'f_user_phone': '联系电话',
    'f_usetype': '使用类型',
    'f_gas_date': '通气日期',
    'f_subscribe_date': '预约通气时间',
    'f_price_name': '气价名称',
    'f_position': '安装位置',
    'f_meter_type': '类型',
    'f_meter_brand': '品牌',
    'f_meternumber': '表号',
    'f_metertitles': '表封号',
    'f_aroundmeter': '表向',
    'f_install_date': '气表安装日期',
    'f_meter_base': '气表底数',
    'f_balance': '账户余额',
    'f_hand_date': '最后抄表日期',
    'f_whether_hairpin': '是否发卡',
    'f_valve_state': '阀门状态',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'value': '气价详情',
    'f_open_date': '开户时间',
    'f_credentials': '证件类型',
    'f_idnumber': '身份证号',
    'f_people_num': '人口数',
    'f_ins_stop_date': '保险结束日期',
    'f_createfile_date': '建档日期',
    'f_createfile_person': '建档人',
    'f_depname': '所属营业厅',
    'f_comments': '备注信息',
    'f_used_name': '曾用名',
    'f_rent_phone': '备用电话',
    'f_rent_name': '租户姓名',
    'f_zuhu_phone': '租户电话',
    'f_contract_id': '供气合同编号',
    'f_is_mgq': '是否煤改气',
    'f_send_usegas_card': '是否发放天然气使用证',
    'f_meter_style': '型号',
    'f_table_state': '表具状态',
    'f_initial_base': '初始气表底数',
    'f_total_usegas_amount': '累计用气金额',
    'f_total_gas': '表累购气量',
    'f_total_fee': '表累购金额',
    'f_inputtor': '档案抄表员',
    'f_book_inputtor': '表册抄表员',
    'f_userfiles_address': '安装地址',
    'f_install_person': '安装人',
    'f_gas_person': '通气人员',
    'f_meter_book_num': '抄表册编号',
    'f_meter_book_sort': '抄表册顺序',
    'f_balance_amount': '表剩余金额',
    'f_times': '写卡次数',
    'f_fillcard_times': '补卡次数',
    'f_sendsuccess': '表同步状态',
    'f_isband': '微信绑定',
    'f_cost_type': '缴费类型',
    'f_bank_accopen': '银行户名',
    'f_bank_name': '银行名称',
    'f_bank_account': '银行账号',
    'f_bank_idnumber': '银行身份证号',
    'f_bank_pay_number': '缴费编号',
    'f_maxdate': '换表时间',
    'f_devices_type': '灶具信息',
    'f_bgldevices_type': '壁挂炉信息',
    'f_network_valve': '自动阀控',
    'f_defendcard': '防盗卡号',
    'f_factory_date': '生产年月'
  },

  compreConfigGY: {
    'f_user_state': '客户状态',
    'f_userinfo_code': '客户编号',
    'f_card_id': '卡号',
    'f_user_name': '客户名称',
    'f_residential_area': '小区名称',
    'f_address': '客户地址',
    'f_user_phone': '客户电话',
    'f_gas_date': '通气日期',
    'f_price_name': '气价名称',
    'f_position': '安装位置',
    'f_meter_type': '气表类型',
    'f_meter_brand': '气表品牌',
    'f_meternumber': '表号',
    'f_metertitles': '表封号',
    'f_aroundmeter': '左右表',
    'f_install_date': '安装日期',
    'f_meter_base': '气表底数',
    'f_balance': '账户余额',
    'f_hand_date': '最后抄表日期',
    'f_whether_hairpin': '是否发卡',
    'f_valve_state': '阀门状态',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'value': '气价详情',
    'f_open_date': '开户时间',
    'f_credentials': '证件类型',
    'f_idnumber': '证件号码',
    'f_people_num': '人口数',
    'f_ins_stop_date': '保险结束日期',
    'f_createfile_date': '建档日期',
    'f_createfile_person': '建档人',
    'f_depname': '所属营业厅',
    'f_comments': '备注信息',
    'f_used_name': '曾用名',
    'f_rent_phone': '备用电话',
    'f_rent_name': '租户姓名',
    'f_zuhu_phone': '租户电话',
    'f_contract_id': '合同ID',
    'f_is_mgq': '是否煤改气',
    'f_send_usegas_card': '是否发放天然气使用证',
    'f_usetype': '使用类型',
    'f_meter_style': '气表型号',
    'f_table_state': '表状态',
    'f_initial_base': '初始气表底数',
    'f_total_usegas_amount': '累计用气金额',
    'f_total_gas': '表累购气量',
    'f_total_fee': '表累购金额',
    'f_inputtor': '表册抄表员',
    'f_book_inputtor': '档案抄表员',
    'f_userfiles_address': '安装地址',
    'f_install_person': '安装人',
    'f_gas_person': '通气人',
    'f_meter_book_num': '抄表册编号',
    'f_meter_book_sort': '抄表册顺序',
    'f_times': '写卡次数',
    'f_fillcard_times': '补卡次数',
    'f_sendsuccess': '表同步状态',
    'f_isband': '微信绑定',
    'f_cost_type': '缴费类型',
    'f_bank_accopen': '银行户名',
    'f_bank_name': '银行名称',
    'f_bank_account': '银行账号',
    'f_bank_idnumber': '银行身份证号',
    'f_bank_pay_number': '缴费编号'
  },

  changemeterConfig: {
    'f_userinfo_code': '客户编号',
    'f_olduserinfo_code': '档案编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_type': '换表类型',
    'f_changemeter_fee': '换表费',
    'f_meternumber_old': '旧表号',
    'f_meternumber': '新表号',
    'f_meter_brand_old': '旧气表品牌',
    'f_meter_brand': '新气表品牌',
    'f_remanent_gas': '补气量',
    'f_remanent_money': '补气金额',
    'f_comments': '备注',
    'f_change_operator': '换表人',
    'f_state': '状态',
    'f_operate_date': '操作日期',
    'f_payment': '付款方式',
    'f_othereason': '换表原因',
    'f_operator': '人员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meter_base': '气表底数',
    'f_balance_amount': '表上余额',
    'leigougas': '累购气量',
    'leigoumoney': '累购金额'
  },
  changemeterprintConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_type': '换表类型',
    'f_changemeter_fee': '换表费',
    'f_meternumber_old': '旧表号',
    'f_meternumber': '新表号',
    'f_meter_brand_old': '旧气表品牌',
    'f_meter_brand': '新气表品牌',
    'f_remanent_gas': '补气量',
    'f_remanent_money': '补气金额',
    'f_change_operator': '换表人',
    'f_state': '状态',
    'f_operate_date': '换表日期'
  },

  otherchargeConfigGY: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_user_phone': '客户电话', 'f_address': '客户地址',
    'f_bill_number': '收据票号', 'f_brand_spec': '收费类型', 'f_typename': '品名规格',
    'f_typenumber': '型号', 'f_unitprice': '单价', 'f_number': '数量',
    'f_money': '收款', 'f_payment': '付款方式', 'f_state': '状态', 'f_operate_date': '收费日期',
    'f_service_person': '服务人员', 'f_comments': '备注', 'f_time_date': '操作时间',
    'f_operator': '操作员', 'f_depname': '部门', 'f_orgname': '公司'
  },

  otherchargeConfig: {
    'f_userinfo_code': '客户编号',
    'f_olduserinfo_code': '档案编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_user_phone': '客户电话',
    'f_meter_classify': '气表类型',
    'f_meter_brand': '气表品牌',
    'f_bill_number': '收据票号',
    'f_brand_spec': '收费类型',
    'f_typename': '品名规格',
    'f_typenumber': '型号',
    'f_unitprice': '单价',
    'f_number': '数量',
    'hushu': '户数',
    'f_money': '收款',
    'f_payment': '付款方式',
    'f_state': '状态',
    'f_operate_date': '收费日期',
    'f_service_person': '服务人员',
    'f_comments': '备注',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meternumber': '表号'
  },

  otherchargenopayConfig: {
    'f_userinfo_code': '客户编号',
    'f_olduserinfo_code': '档案编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_user_phone': '客户电话',
    'f_bill_number': '收据票号',
    'f_brand_spec': '收费类型',
    'f_typename': '品名规格',
    'f_typenumber': '型号',
    'f_unitprice': '单价',
    'f_number': '数量',
    'f_money': '收款',
    'f_payment': '付款方式',
    'f_state': '状态',
    'f_time_date': '收费日期',
    'f_operate_date': '欠费日期',
    'f_is_pay': '是否缴费',
    'f_service_person': '服务人员',
    'f_comments': '备注',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meternumber': '表号'
  },

  otherchargePrintConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_address': '客户地址',
    'f_money': '收款', 'f_payment': '付款方式', 'f_state': '状态', 'f_operate_date': '收费日期'
  },
  cardhandplanConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_meternumber': '表号',
    'f_olduserinfo_code': '档案编号',
    'f_address': '客户地址',
    'f_last_tablebase': '上期底数',
    'f_tablebase': '本期底数',
    'f_real_amount': '用气量',
    'f_total_gas': '总购气量',
    'f_yuliang': '余量',
    'f_inputtor': '抄表员',
    'f_hand_date': '下发日期',
    'f_input_date': '录入日期',
    'f_meter_state': '抄表状态',
    'f_operator': '操作员',
    'f_depname': '部门'
  },
  handplanConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_address': '客户地址',
    'f_zones': '片区',
    'phone': '客户手机',
    'f_meternumber': '表号',
    'ym_data': '数据年月',
    'f_last_tablebase': '上期底数',
    'f_tablebase': '本期底数',
    'f_oughtamount': '用气量',
    'overdue': '违约金',
    'f_oughtfee': '用气金额',
    'f_debt_money': '已交金额',
    'f_actual_arrears': '欠费金额',
    'f_balance': '上期余额',
    'f_curbalance': '本期余额',
    'f_accounts_state': '下账状态',
    'f_operate_date': '收费时间',
    'f_inputtor': '抄表员',
    'f_book_slice_area': '表册片区',
    'f_hand_date': '下发日期',
    'f_input_person': '录入人员',
    'f_input_date': '录入日期',
    'f_audit_date': '审核日期',
    'f_meter_state': '抄表状态',
    'f_hand_state': '记录状态',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_surplus_gas': '剩余气量',
    'f_haircut_gas': '扣减气量',
    'f_stair1amount': '一阶气量',
    'f_stair1price': '一阶单价',
    'f_stair1fee': '一阶气费',
    'f_stair2amount': '二阶气量',
    'f_stair2price': '二阶单价',
    'f_stair2fee': '二阶气费',
    'f_stair3amount': '三阶气量',
    'f_stair3price': '三阶单价',
    'f_stair3fee': '三阶气费',
    'f_rest_date': '所属年月'
  },
  handplanInfoConfig: {
    'f_userinfo_code': '用户号',
    'f_residential_area': '小区',
    'f_address': '地址',
    'f_user_name': '用户名',
    'f_meternumber': '表钢号',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_month1': '一月',
    'f_month2': '二月',
    'f_month3': '三月',
    'f_month4': '四月',
    'f_month5': '五月',
    'f_month6': '六月',
    'f_month7': '七月',
    'f_month8': '八月',
    'f_month9': '九月',
    'f_month10': '十月',
    'f_month11': '十一月',
    'f_month12': '十二月'
  },
  gaslossConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_meternumber': '表号',
    'f_charge_person': '缴费人',
    'f_charge_phone': '缴费人电话',
    'f_charge_address': '缴费人地址',
    'f_collection': '金额',
    'f_payment': '付款方式',
    'f_bill_style': '打印格式',
    'f_serial_id': '流水号',
    'f_pay_id': '支付单号',
    'detail': '详情',
    'f_charge_date': '缴费日期',
    'f_operator': '操作人',
    'f_depname': '部门',
    'f_orgname': '公司'
  },
  balanceConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_balance': '期初余额', 'f_oughtfee': '期间应收',
    'f_preamount': '期间已缴', 'f_curbalance': '期末余额', 'f_user_balance': '最新余额'
  },
  BalanceTableConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_balance': '期初余额',
    'f_oughtfee': '期间应收',
    'f_collection': '期间已收',
    'f_last_balance': '期末余额',
    'f_balances': '最新余额'
  },
  UserSellHeadDetailConfig: {
    'f_userinfo_code': '用户编号',
    'f_user_name': '用户名称',
    'f_olduserinfo_code': '档案编号',
    'f_address': '用户地址',
    'f_balance': '期初余额',
    'f_collection': '实收金额',
    'f_m_fee': '免交金额',
    'f_t_fee': '退费',
    'f_b_fee': '补费',
    'f_k_fee': '扣费',
    'f_oughtamount': '应收气费',
    'f_debt_money': '已收气费',
    'f_w_money': '未收气费',
    'f_delaypay': '已收违约金',
    'f_reduction_fee': '违约金减免',
    'f_h_fee': '超用收费',
    'f_curbalance': '期末余额',
    'f_x_balance': '最新余额'
  },
  TransactionSummaryConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_type': '类型', 'f_price': '气价',
    'f_oughtamount': '气量', 'f_oughtfee': '金额', 'f_whether_pay': '是否交费', 'f_hand_date': '计划日期'
  },
  ChargeDayReportConfig: {
    'ord': '序号',
    'id': '收费编号',
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_residential_area': '小区',
    'f_address': '客户地址',
    'f_pregas': '气量',
    'f_preamount': '收款',
    'price': '单价',
    'f_payment': '付款方式',
    'f_date': '收费时间',
    'f_operator': '操作员',
    'f_type': '收费类型'
  },
  UserGasFillCardConfig: {
    'f_userinfo_code': '用户编号', 'f_user_name': '用户名称', 'f_residential_area': '用户地址', 'f_pregas': '购气气量',
    'f_gas1': '阶一气量', 'f_gas2': '阶二气量', 'f_gas3': '阶三气量',
    'f_preamount': '收费金额', 'f_user_type': '用户类型', 'f_type': '收费类型', 'f_date': '日期', 'f_operator': '操作员'
  },
  feimin_style: {
    'f_user_name': '用户名称', 'f_price': '单价', 'zgougas': '总购气量汇总', 'gougas': '本月购气量汇总',
    'bugas': '补气汇总', 'yugas': '表余量汇总', 'yonggas': '用气量汇总'
  },
  chaostyle: {
    'f_userinfo_code': '用户号',
    'f_user_name': '用户名',
    'f_address': '用户地址',
    'f_last_tablebase': '起方',
    'f_tablebase': '止方',
    'gas': '气量',
    'f_price': '单价',
    'f_money': '金额',
    'f_accounts_state': '下账状态',
    'f_book_name': '抄表册',
    'f_inputtor': '抄表员',
    'f_operatorr': '录入员',
    'f_audit_person': '审核人',
    'f_audit_date': '审核日期',
    'f_meter_state': '抄表状态',
    'f_hand_state': '表单状态',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_price_id': '气价编号',
    'f_price_name': '气价名称',
    'f_meter_classify': '气表分类',
    'f_accounting_date': '截止日期',
    'beizhu': '备注',
    'f_meter_brand': '气表型号',
    'f_calculation': '结算方式'
  },
  shoufeistyle: {
    'id': '收费编号',
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_price_name': '价格类型',
    'f_last_tablebase': '上期底数',
    'f_tablebase': '本期底数',
    'f_price': '单价',
    'f_gas': '气量',
    'f_money': '金额',
    'f_type': '收费类型',
    'f_payment': '收款方式',
    'f_operate_date': '收费日期',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司'
  },
  chargeSchedule: {
    'f_serial_id': '流水号', 'f_userinfo_code': '户号', 'f_user_name': '户主', 'f_address': '地址',
    'a': '气量', 'b': '金额', 'f_operator': '收费员',
    'f_depname': '部门', 'f_operate_date': '收费时间'
  },
  batchBankConfig: {
    'f_userinfo_code': '客户编号',
    'f_userinfo_id': '用户编号',
    'f_user_phone': '客户电话',
    'f_user_name': '客户姓名',
    'f_address': '客户地址',
    'f_bank_accopen': '银行户名',
    'f_bank_pay_number': '缴费编号',
    'f_bank_account': '银行开户账号',
    'f_paper_account': '开户行及账号',
    'f_bank_name': '银行名称',
    'f_oughtfee': '欠费金额',
    'overdue': '违约金'
  },
  batchBankConfig2: {
    'f_userinfo_code': '客户编号',
    'f_userinfo_id': '用户编号',
    'phone': '客户电话',
    'f_user_name': '客户姓名',
    'f_address': '客户地址',
    'f_bank_accopen': '银行户名',
    'f_bank_pay_number': '缴费编号',
    'f_bank_account': '银行开户账号',
    'f_paper_account': '开户行及账号',
    'f_bank_name': '银行名称',
    'f_oughtfee': '欠费金额'
  },
  // 气价信息查询
  gasPriceConfig: {
    'f_price_id': '气价编号', 'f_price_type': '气价类型', 'f_price_name': '气价名称', 'f_user_type': '用户类型',
    'f_gasproperties': '用气性质', 'f_stairmonths': '阶段月数', 'f_perform_date': '执行日期', 'f_end_date': '截止日期',
    'f_version': '版本号', 'f_state': '状态', 'detailvalue': '气价信息'
  },
  fmygasConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_phone': '客户电话',
    'f_credentials': '证件类型',
    'f_idnumber': '证件号码',
    'f_residential_area': '小区',
    'f_address': '客户地址',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_meternumber': '表号',
    'f_meter_brand': '气表品牌',
    'f_meter_classify': '气表类型',
    'f_price_value': '气价详情',
    'f_balance': '账户余额',
    'f_pregas': '预购气量',
    'f_preamount': '预购金额',
    'f_collection': '实交金额',
    'f_inputtor': '抄表员',
    'f_book_slice_area': '表册片区',
    'f_hand_number': '抄表次数',
    'f_date': '抄表区间',
    'f_input_day': '天数',
    'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额'
  },
  notgasConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_phone': '客户电话',
    'f_credentials': '证件类型',
    'f_idnumber': '证件号码',
    'f_address': '客户地址',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_residential_area': '小区',
    'f_meternumber': '表号',
    'f_meter_brand': '气表品牌',
    'f_meter_classify': '气表类型',
    'f_oughtamount': '用气量'
  },
  handRateConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_phone': '客户电话',
    'f_address': '客户地址',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_meternumber': '表号',
    'f_meter_classify': '气表类型',
    'f_price_value': '气价详情',
    'f_oughtfee': '应收金额',
    'f_oughtamount': '应收气量',
    'f_yijiao': '已收金额',
    'f_weijiao': '未收金额',
    'f_oughtfee_all': '累计未收',
    'f_oughtamount_all': '未收气量',
    'f_hv': '回收率',
    'f_inputtor': '抄表员'
  },
  reverseConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_address': '客户地址',
    'f_type': '冲正类型',
    'f_pregas': '冲正气量',
    'f_preamount': '冲正金额',
    'f_collection': '冲正收款',
    'f_operate_date': '冲正日期',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meternumber': '表号'
  },
  transferConfig: {
    'f_userinfo_code': '客户编号',
    'f_newuser_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_address': '客户地址',
    'f_user_name': '原客户名称',
    'f_newuser_phone': '新客户电话',
    'f_newidnumber': '新客户身份证',
    'f_user_phone': '原客户电话',
    'f_idnumber': '原客户身份证',
    'f_transfer_fees': '过户费',
    'f_operate_date': '过户日期',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meternumber': '表号'
  },
  transferRecordConfig: {
    'in_userinfo_code': '转入方编号',
    'in_user_name': '转入方名称',
    'out_userinfo_code': '转出方编号',
    'out_user_name': '转出方名称',
    'f_operate_date': '转移日期',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司'
  },
  transferPrintConfig: {
    'f_userinfo_code': '客户编号',
    'f_newuser_name': '客户名称',
    'f_address': '客户地址',
    'f_user_name': '新客户名称',
    'f_newuser_phone': '新客户电话',
    'f_user_phone': '原客户电话',
    'f_transfer_fees': '过户费',
    'f_operate_date': '过户日期'
  },
  fillgasConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_type': '客户类型',
    'f_user_phone': '客户电话',
    'f_address': '客户地址',
    'f_card_id': '卡号',
    'f_meter_brand': '气表品牌',
    'f_type': '补气类型',
    'f_comments': '补气原因',
    'f_pregas': '补气量',
    'f_preamount': '补气金额',
    'f_operate_date': '补气日期',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meternumber': '表号'
  },

  fillcardConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_phone': '客户电话',
    'f_address': '客户地址',
    'f_card_id': '卡号',
    'f_meter_brand': '气表品牌',
    'f_type': '补卡类型',
    'f_comments': '补卡原因',
    'f_cardfees': '卡费',
    'f_operate_date': '补卡日期',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meternumber': '表号'
  },

  enableConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_olduserinfo_code': '档案编号', 'f_address': '客户地址',
    'f_enable_reason': '启用原因', 'f_othereason': '其他原因', 'f_state': '启用状态', 'f_operate_date': '启用日期',
    'f_operat_type': '操作类型', 'f_operator': '操作员', 'f_depname': '部门', 'f_orgname': '公司', 'f_meternumber': '表号'
  },
  movemeterConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_address': '旧地址',
    'f_address_new': '新地址',
    'f_metertitles': '旧表箱号',
    'f_metertitles_new': '新表箱号',
    'f_operate_date': '操作日期',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meternumber': '表号'
  },
  usergas: {
    'f_meternumber': '表计编号', 'f_user_id': '用户编号', 'f_user_name': '用户名称',
    'f_address': '用户地址', 'f_user_type': '用户类型', 'f_price': '气价',
    'a': '售气量', 'b': '金额', 'f_operate_date': '售气时间', 'f_charge_type': '支付方式',
    'f_type': '业务类型', 'f_operator': '操作员名称'
  },
  usergas1: {
    'f_user_name': '用户名称',
    'f_price': '气价',
    'a': '售气量', 'b': '金额'
  },
  yonghujieyu: {
    'f_userinfo_id': '用户编号', 'f_user_name': '用户名称',
    'f_address': '用户地址', 'f_meter_type': '气表类型', 'benshishou': '期间实收',
    'benyiyong': '期间已用', 'shangqijieyu': '上期结余', 'benqijieyu': '本期结余'
  },
  monthGasConfig: {
    'code': '客户编号', 'username': '客户名称', 'f_olduserinfo_code': '档案编号', 'jan': '一月',
    'feb': '二月', 'mar': '三月', 'apr': '四月',
    'may': '五月', 'jun': '六月', 'jul': '七月', 'jug': '八月',
    'sep': '九月', 'oct': '十月', 'nov': '十一月', 'dec': '十二月',
    'sum_oughtamount': '累计气量', 'f_oughtfee': '累计金额', 'avg_oughtamount': '月平均气量'
  },
  priceChangeConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_type': '客户类型',
    'f_address': '客户地址',
    'f_user_phone': '客户电话',
    'f_meter_classify': '气表类型',
    'old_price_name': '旧气价名称',
    'new_price_name': '新气价名称',
    'f_change_type': '变更类型',
    'f_operate_date': '变更时间',
    'f_perform_date': '执行时间',
    'f_operator': '变更操作员',
    'f_sendsuccess': '是否同步成功',
    'f_meternumber': '表号'
  },
  ysConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_address': '地址',
    'f_meter_classify': '气表类型',
    'f_user_type': '用户类型',
    'f_gasproperties': '用气性质',
    'f_operator': '操作员',
    'f_inputtor': '抄表员',
    'f_input_date': '录入时间',
    'f_ysgas': '应收气量',
    'f_ysfee': '应收金额',
    'f_hcgas': '红冲气量',
    'f_hcfee': '红冲金额',
    'f_ysgassum': '应收气量小计',
    'f_ysfeesum': '应收金额小计',
    'f_ssgas': '实收气量',
    'f_ssfee': '实收金额',
    'f_monthqgas': '欠费气量',
    'f_monthqfee': '欠费金额',
    'f_sumqgas': '累计欠费气量',
    'f_sumqfee': '累计欠费金额',
    'f_qqgas': '清欠气量',
    'f_qqfee': '清欠金额',
    'f_scgas': '实抄气量',
    'f_scfee': '实抄金额'
  },
  webmetermonthGasConfig: {
    'f_userinfo_code': '用户编号',
    'f_user_name': '用户姓名',
    'f_address': '用户地址',
    'f_hand_month': '单双月',
    'd1': '1号',
    'd2': '2号',
    'd3': '3号',
    'd4': '4号',
    'd5': '5号',
    'd6': '6号',
    'd7': '7号',
    'd8': '8号',
    'd9': '9号',
    'd10': '10号',
    'd11': '11号',
    'd12': '12号',
    'd13': '13号',
    'd14': '14号',
    'd15': '15号',
    'd16': '16号',
    'd17': '17号',
    'd18': '18号',
    'd19': '19号',
    'd20': '20号',
    'd21': '21号',
    'd22': '22号',
    'd23': '23号',
    'd24': '24号',
    'd25': '25号',
    'd26': '26号',
    'd27': '27号',
    'd28': '28号',
    'd29': '29号',
    'd30': '30号',
    'd31': '31号',
    'maxgas': '最高用气量',
    'mingas': '最低用气量',
    'avggas': '日均用气量',
    'sumgas': '总用气量',
    'avggas1': '去年同期日均用气量',
    'sumgas1': '去年同期总用气量'
  },
  incomeGapConfig: {
    'name': '公司名称', 'date': '日期', 'weixinfei': '微信收款',
    'xitongfei': '系统收款', 'chazhi': '差值'
  },
  handGasConfig: {
    'f_orgname': '公司名称', 'jan': '一月',
    'feb': '二月', 'mar': '三月', 'apr': '四月',
    'may': '五月', 'jun': '六月', 'jul': '七月', 'jug': '八月',
    'sep': '九月', 'oct': '十月', 'nov': '十一月', 'dec': '十二月', 'sum_oughtamount': '累计气量'
  },
  YearGasConfig: {
    'code': '客户编号', 'username': '客户名称', 'f_meter_brand': '气表品牌', 'jan': '一月',
    'feb': '二月', 'mar': '三月', 'apr': '四月',
    'may': '五月', 'jun': '六月', 'jul': '七月', 'jug': '八月',
    'sep': '九月', 'oct': '十月', 'nov': '十一月', 'dec': '十二月', 'sum_oughtamount': '累计气量'
  },
  disableConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_phone': '客户电话',
    'cy_lxr': '常用联系人',
    'f_userfiles_address': '用气点名称',
    'f_address': '客户地址',
    'f_disable_reason': '停用原因',
    'f_othereason': '其他原因',
    'f_comments': '备注',
    'f_state': '停用状态',
    'f_operate_date': '停用日期',
    'f_operat_type': '操作类型',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meternumber': '表号',
    'f_meter_brand': '气表品牌'
  },
  sendbookConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_type': '客户类型',
    'f_user_phone': '联系电话',
    'f_address': '客户地址',
    'f_send_date': '发折时间',
    'f_meternumber': '表号',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司'
  },
  CancellationConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_user_phone': '联系电话',
    'f_address': '客户地址',
    'f_comments': '销户原因',
    'f_state': '销户状态',
    'f_meternumber': '表号',
    'f_operate_date': '销户日期',
    'f_operat_type': '操作类型',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司'
  },
  overDueQueryConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_address': '客户地址',
    'f_last_tablebase': '上期底数',
    'f_tablebase': '本期底数',
    'f_input_date': '抄表日期',
    'f_latefee_ought': '减免金额',
    'f_operator_date': '减免时间',
    'f_operator': '操作员',
    'f_meternumber': '表号'
  },
  GasReimbursementRate: {
    'f_book_slice_area': '片区',
    'f_user_num': '户数',
    'f_oughtfee': '上月欠款',
    'f_month_oughtfee': '本月应收',
    'hjje': '合计金额',
    'f_charge_money': '本月已收',
    'ljwsje': '累计未收金额',
    'ljhkl': '累计回款率',
    'f_weixin': '微信缴费户数',
    'f_zhv': '微信转化率',
    'f_yucun': '预存金额'
  },
  UserInsured: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_toubao_startdate': '投保日期',
    'f_toubao_money': '参保额度', 'f_oprete_date': '办理时间', 'qixian': '有效期限', 'f_operator': '办理人'
  },
  GasAnalysisManageConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_balance': '期初余额',
    'f_pregas': '用气气量',
    'f_preamount': '用气金额',
    'f_charge_money': '收款',
    'f_curbalance': '期末结余'
  },

  dataReportConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户姓名',
    'f_address': '地址',
    'f_meter_brand': '气表厂家',
    'f_meternumber': '表号',
    'f_operate_date': '充值时间',
    'f_stair1price': '1单价',
    'f_stair1amount': '1气量',
    'f_stair2price': '2单价',
    'f_stair2amount': '2气量',
    'f_stair3price': '3单价',
    'f_stair3amount': '3气量',
    'f_pregas': '气量',
    'f_preamount': '应收金额',
    'f_collection': '实收金额',
    'f_balance': '上期结余',
    'f_curbalance': '本期结余',
    'f_payment': '付款方式',
    'f_type': '收费类型',
    'f_state': '收费状态',
    'f_operator': '操作员',
    'f_user_type': '用户类型',
    'f_comments': '备注'
  },
  lifeDataReportConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户姓名',
    'f_pregas': '气量',
    'f_collection': '金额',
    'f_operate_date': '写卡时间',
    'f_stair1amount': '1单价',
    'f_stair1price': '1气量',
    'f_stair2amount': '2单价',
    'f_stair2price': '2气量',
    'f_stair3amount': '3单价',
    'f_stair3price': '3气量',
    'f_payment': '付款方式',
    'f_type': '收费类型',
    'f_pay_id': '交易号',
    'f_terminal_num': '写卡服务机'
  },
  monthByUserConfig: {
    'f_operate_date': '日期',
    'f_open_my': '民用开户',
    'f_count_my': '民用人次',
    'f_pregas_my': '民用气量',
    'f_collection_my': '民用金额',
    'f_open_sy': '商业开户',
    'f_count_sy': '商业人次',
    'f_pregas_sy': '商业气量',
    'f_collection_sy': '商业金额',
    'f_open_gy': '工业开户',
    'f_count_gy': '工业人次',
    'f_pregas_gy': '工业气量',
    'f_collection_gy': '工业金额',
    'f_open': '合计开户',
    'f_count': '合计人次',
    'f_pregas': '合计气量',
    'f_collection': '合计金额'
  },
  lifeMonthByChargeConfig: {
    'f_operate_date': '日期', 'f_count': '人次', 'f_pregas': '气量',
    'f_collection': '金额'
  },
  monthByChargeConfig: {
    'f_operate_date': '月份',
    'f_count_open': '开户人次', 'f_pregas_open': '开户气量', 'f_collection_open': '开户金额',
    'f_count_zg': '再购人次', 'f_pregas_zg': '再购气量', 'f_collection_zg': '再购金额',
    'f_count_bk': '补卡人次', 'f_collection_bk': '补卡金额',
    'f_count_bq': '补气人次', 'f_pregas_bq': '补气气量', 'f_collection_bq': '补气金额',
    'f_count_hb': '换表人次', 'f_collection_hb': '换表金额',
    'f_count': '总次数', 'f_pregas': '总气量', 'f_collection': '总金额'
  },
  yearByUserConfig: {
    'f_operate_date': '日期',
    'f_open_my': '民用开户',
    'f_count_my': '民用人次',
    'f_pregas_my': '民用气量',
    'f_collection_my': '民用金额',
    'f_open_sy': '商业开户',
    'f_count_sy': '商业人次',
    'f_pregas_sy': '商业气量',
    'f_collection_sy': '商业金额',
    'f_open_gy': '工业开户',
    'f_count_gy': '工业人次',
    'f_pregas_gy': '工业气量',
    'f_collection_gy': '工业金额',
    'f_open': '合计开户',
    'f_count': '合计人次',
    'f_pregas': '合计气量',
    'f_collection': '合计金额'
  },
  yearByChargeConfig: {
    'f_operate_date': '月份',
    'f_count_open': '开户人次', 'f_pregas_open': '开户气量', 'f_collection_open': '开户金额',
    'f_count_zg': '再购人次', 'f_pregas_zg': '再购气量', 'f_collection_zg': '再购金额',
    'f_count': '总次数', 'f_pregas': '总气量', 'f_collection': '总金额'
  },
  lifeYearByChargeConfig: {
    'f_operate_date': '月份',
    'f_count': '次数', 'f_pregas': '气量', 'f_collection': '金额'
  },
  BackListConfig: {
    'f_userinfo_code': '用户编号',
    'f_user_name': '用户姓名',
    'f_operate_date': '操作时间',
    'f_operat_type': '操作类型',
    'f_comments': '备注',
    'f_operator': '操作员',
    'f_depname': '部门',
    'f_orgname': '公司'
  },
  NewAccountConfig: {
    'f_userinfo_code': '用户编号',
    'f_user_name': '用户姓名',
    'f_user_phone': '用户电话',
    'f_idnumber': '身份证号',
    'f_address': '客户地址',
    'f_price_name': '气价名称',
    'f_open_date': '开户时间',
    'f_meternumber': '表号',
    'f_gas_person': '置换员',
    'f_gas_date': '通气时间',
    'f_total_gas': '累购气量',
    'f_meter_brand': '气表品牌',
    'isbgl': '是否有壁挂炉',
    'f_operator': '操作员'
  },
  Wrongquery: {
    'f_userinfo_code': '用户编号',
    'f_meternumber': '表号',
    'f_operator_date': '抄表时间',
    'f_operator_type': '错误类型',
    'f_error_type': '错误原因',
    'f_bankname': '银行名称',
    'f_msg': '错误信息'
  },
  AreaGeneralQuery: {
    'f_residential_area': '小区名称',
    'f_user_number': '户数',
    'f_zhengchang': '正常',
    'f_tingyong': '停用',
    'f_daikaitong': '待开通',
    'f_yichang': '销户',
    'f_jibiao': '机表抄表户数',
    'f_oughtamount': '机表抄表气量',
    'f_oughtfee': '机表抄表金额',
    'f_collection_hand': '机表实收金额',
    'f_wulian': '物联网表用气户数',
    'f_oughtamount_web': '物联网表用气量',
    'f_oughtfee_web': '物联网表用气金额',
    'f_collection_web': '物联网表实收金额',
    'f_kabiao': '卡表购气户数',
    'f_pregas': '卡表售气量',
    'f_preamount': '卡表售气金额',
    'f_collection_card': '卡表实收金额',
    'f_collection': '总实收金额'
  },
  // 用户统计查询
  UserTongjiQuery: {
    'f_gasproperties': '用气性质', 'f_zhengchang': '正常', 'f_chaibiao': '拆表', 'f_banqian': '搬迁',
    'f_tingbiao': '停表', 'f_weitongqi': '未通气', 'f_banli': '正在办理业务', 'f_yichang': '销户'
  },
  PlotSummaryQuery: {
    'f_residential_area': '小区名称',
    'm_newadduser': '新增民用',
    'm_startuser': '启用民用',
    'm_stopuser': '停用民用',
    'm_account': '销户民用',
    'm_znum': '民用总户',
    'fm_newadduser': '新增非民用',
    'fm_startuser': '启用非民用',
    'fm_stopuser': '停用非民用',
    'fm_account': '销户非民用',
    'fm_znum': '民用非总户',
    'f_znum': '合计'
  },
  ReportListConfig: {
    'f_userinfo_code': '客户编号',
    'f_meternumber': '表号',
    'f_user_name': '客户姓名',
    'f_user_phone': '客户电话',
    'f_address': '客户地址',
    'f_hand_date': '上报日期',
    'f_jval': '表内剩余金额',
    'f_tablebase': '本次抄表底数',
    'f_valvestate': '阀门状态',
    'f_upload_type': '上报类型',
    'f_insert_date': '系统接收时间',
    'f_meterDebitAmt': '表内累计充值金额',
    'f_signal': '噪音强度',
    'f_snr': '信噪比',
    'f_batterylevel': '电压',
    'f_lowlithiumbattery': '电压状态',
    'f_networkshutvalve': '阀门强制状态',
    'f_wmprepaytype': '计量类型',
    'f_moneystate': '金额状态',
    'f_magneticInterference': '磁干扰异常',
    'f_compensateState': '补偿状态'
  },
  RechargeInstruct: {
    'f_userinfo_code': '客户编号',
    'f_meternumber': '表号',
    'f_user_name': '客户姓名',
    'f_user_phone': '客户电话',
    'f_address': '客户地址',
    'f_type': '收费类型',
    'f_collection': '实收金额',
    'f_instruct_state': '指令状态',
    'f_receive_state': '表返回状态',
    'f_instruct_date': '生成指令时间'
  },
  GasStatistics: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户姓名',
    'f_residential_area': '小区',
    'f_address': '地址',
    'f_user_phone': '电话',
    'f_gascode': '燃气证号',
    'f_meternumber': '表号',
    'f_meter_classify': '表具类型',
    'f_meter_title': '表描述',
    'f_price_name': '气价名称',
    'f_user_nature': '用气类型',
    'f_gasproperties': '用气性质',
    'f_balance': '期初余额',
    'f_last_tablebase': '起方',
    'f_tablebase': '止方',
    'f_oughtamount': '期间用气量',
    'f_oughtfee': '期间用气金额',
    'f_collection': '期末充值金额',
    'f_curbalance': '期末余额',
    'f_gas_state': '用气状态',
    'f_changetable_state': '是否换表',
    'f_first_input_date': '首次抄表时间',
    'f_input_date': '最后通讯日期'
  },
  ArrearageConfig: {
    'f_userinfo_code': '客户编号',
    'f_meternumber': '表号',
    'f_user_name': '客户姓名',
    'f_user_type': '用户类型',
    'f_gasproperties': '用气性质',
    'f_curbalance': '欠费金额',
    'f_oughtamount': '欠费气量'
  },
  ReportDataQueryConfig: {
    'f_userinfo_code': '客户编号',
    'f_tablebase': '本次抄表底数',
    'f_last_tablebase': '上次抄表底数',
    'f_jval': '表计剩余余额',
    'f_hand_date': '抄表日期',
    'f_last_hand_date': '上次抄表日期',
    'f_gas_date': '开户日期',
    'f_software_version': '软件版本号',
    'f_table_msg': '表状态信息',
    'f_last_meter_state_msg': '上次表状态信息',
    'f_insert_date': '插入日期',
    'f_last_insertdate': '上次插入日期',
    'f_whether_clear': '是否结算',
    'f_address': '地址',
    'f_user_name': '用户名称',
    'f_meternumber': '表号',
    'f_super_gas': '超用气量',
    'f_electricity': '电量等级',
    'f_times': '购气次数',
    'f_price': '单价',
    'f_signal': '信号强度',
    'f_snr': '信噪比',
    'f_batteryLevel': '电压',
    'f_networkShutValve': '阀门强制状态',
    'f_valveState': '阀门状态',
    'f_wmprepaytype': '计量类型',
    'f_upload_type': '上报类型',
    'f_moneyState': '金额状态',
    'f_LowLithiumBattery': '电压状态',
    'f_magneticInterference': '磁干扰异常',
    'f_meterBalanceAmt': '表内剩余金额',
    'f_meterDebitAmt': '表内累计充值金额',
    'f_compensateState': '补偿状态',
    'f_filiale': '分公司'
  },
  expectgasConfig: {
    'f_month': '月份',
    'f_orgname': '公司',
    'f_gy_num': '工业户数',
    'f_my_num': '民用户数',
    'f_jt_num': '集体户数',
    'f_sy_num': '商业户数',
    'f_sum_num': '户数合计',
    'f_gy_gas': '工业抄表量',
    'f_my_gas': '民用抄表量',
    'f_jt_gas': '集体抄表量',
    'f_sy_gas': '商业抄表量',
    'f_sum_gas': '抄表量合计',
    'f_gy_account': '工业抄表金额',
    'f_my_account': '民用抄表金额',
    'f_jt_account': '集体抄表金额',
    'f_sy_account': '商业抄表金额',
    'f_sum_account': '抄表金额合计',
    'f_old_gas': '冲正气量',
    'f_old_fee': '冲正金额',
    'f_old_num': '冲正户数'
  },
  pregaslistConfig: {
    'f_month': '月份',
    'f_last_balance': '期初余额',
    'f_wechat_pay': '微信',
    'f_money_pay': '现金',
    'f_bank_pay': '银行转账',
    'f_sum_pay': '预收款合计',
    'f_pre_deduct_money': '本期预收抵减气费金额',
    'f_balance': '期末余额'
  },
  yucunDetails: {
    'f_userinfo_code': '用户编号',
    'f_user_name': '用户姓名',
    'f_user_phone': '用户电话',
    'f_address': '用户地址',
    'f_operate_date': '预存时间',
    'f_last_balance': '期初余额',
    'f_charge_money': '本期预存',
    'f_pre_deduct_money': '抵扣气费',
    'f_balance': '期末余额',
    'f_meternumber': '表号'
  },
  PrivilegeQuery: {
    'f_userinfo_code': '用户编号', 'f_user_name': '用户姓名', 'f_user_type': '用户类型', 'f_address': '用气地址',
    'f_meter_type': '气表类型', 'f_privilege_gas': '赠送方量(方)', 'f_privilege_money': '赠送金额(元)',
    'f_operator': '操作员', 'f_operate_date': '时间', 'f_meternumber': '表号'
  },
  PrickBillConfig: {
    'f_report_name': '报表名称', 'f_fee': '扎帐金额', 'f_report_fee': '系统金额',
    'f_start_date': '扎帐归属开始时间', 'f_end_date': '扎帐归属结束时间',
    'f_operate_date': '操作时间', 'f_state': '状态', 'f_orgname': '公司', 'f_depname': '部门',
    'f_operator': '操作员', 'f_remarks': '备注'
  },
  overduelistConfig: {
    'f_month': '月份',
    'f_last_balance': '期初余额',
    'f_account': '本期发生额',
    'f_wechat_pay': '微信',
    'f_money_pay': '现金',
    'f_reduction': '本期减免',
    'f_bank_pay': '银行转账',
    'f_sum_pay': '违约金合计',
    'f_balance': '期末余额'
  },
  sellinggaslistConfig: {
    'f_month': '月份', 'f_last_balance': '期初余额', 'f_account': '本期发生额', 'f_wechat_pay': '微信',
    'f_money_pay': '现金', 'f_bank_pay': '银行转账', 'f_pre_pay': '预付账款抵减', 'f_sum_pay': '收款金额合计',
    'f_balance': '期末余额'
  },
  gasInspectionConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_phone': '客户电话',
    'f_olduserinfo_code': '档案编号',
    'f_meternumber': '表号',
    'f_user_name': '客户名称',
    'f_address': '地址',
    'f_metertitles': '表箱号',
    'f_user_type': '用户类型',
    'f_gasproperties': '用气性质',
    'f_table_state': '表具状态',
    'f_meter_brand': '气表品牌',
    'f_book_slice_area': '表册片区',
    'end_time': '最后抄表日期',
    'f_meter_base': '表底数',
    'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额',
    'qianfei_month_num': '欠费月数',
    'qianfei_num': '欠费条数',
    'qianfei_avg_gas': '欠费月平均气量',
    'f_totalowe_gas': '欠费气量',
    'f_totalowe_fee': '欠费金额'
  },
  surplusConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_address': '地址',
    'f_change_price': '单价调整量',
    'f_real_amount': '补差气量',
    'f_surplus_fee': '补差金额',
    'f_qujian': '调价区间',
    'f_whether_pay': '是否缴费',
    'f_state': '状态',
    'f_operate_date': '操作日期',
    'f_operator': '人员',
    'f_depname': '部门',
    'f_orgname': '公司',
    'f_meternumber': '表号'
  },
  pricechangeRecordConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_address': '客户地址',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_oldprice': '原价格',
    'f_newprice': '新价格',
    'oldprice_performdate': '原价执行时间',
    'newprice_performdate': '新价执行时间',
    'f_slice_area': '片区',
    'f_comments': '调价原因',
    'f_meter_classify': '气表分类',
    'f_meter_brand': '气表品牌',
    'f_meter_style': '气表型号',
    'f_operator': '人员',
    'f_depname': '部门',
    'f_operate_date': '操作日期',
    'f_meternumber': '表号'
  },
  InfoOperateRecordConfig: {
    'changetype': '维护类型',
    'changeid': '记录id',
    'fieldname': '维护字段',
    'chinesename': '字段含义',
    'oldvalue': '修改前内容',
    'newvalue': '修改后内容',
    'modifitime': '修改时间',
    'operator': '修改人'
  },
  depositDetail: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_olduserinfo_code': '档案编号',
    'f_address': '客户地址',
    'f_user_state': '客户状态',
    'f_meter_base': '余额底数',
    'f_balance': '账户余额',
    'f_hand_date': '最后抄表日期',
    'f_meter_classify': '气表类型'
  },
  // 巩义导出特殊需求
  GYfmygasConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_user_phone': '客户电话',
    'f_address': '客户地址',
    'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额',
    'f_date': '抄表区间',
    'f_input_day': '天数',
    'f_pregas': '预购气量',
    'f_preamount': '预购金额',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_meternumber': '表号',
    'f_meter_brand': '气表品牌',
    'f_meter_classify': '气表类型',
    'f_price_value': '气价详情',
    'f_collection': '实交金额',
    'f_inputtor': '抄表员',
    'f_hand_number': '抄表次数',
    'f_usetype': '使用类型'
  },
  GYarrearsGYConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_meternumber': '表号',
    'f_residential_area': '小区名称',
    'f_address': '地址',
    'f_user_phone': '客户电话',
    'f_rent_phone': '备用电话',
    'f_inputtor': '抄表员',
    'f_user_type': '客户类型',
    'f_gasproperties': '用气性质',
    'f_tablebase': '本期底数',
    'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额',
    'f_balance': '账户余额',
    'f_oughtfee_all_new': '实际欠费',
    'c': '欠费期数',
    'f_hand_date': '欠费区间',
    'f_book_name': '抄表册'
  },
  // 以下为scada导出
  // 热源厂累计流量
  CumulativeFlowHeatPlantConfig: {
    'time': '时间',
    'data1': '西郊热电一期',
    'data2': '西郊热电二期',
    'xjrdtotal': '西郊热电合计',
    'data3': '阳光热力',
    'data4': '雁东一期',
    'data5': '雁东二期',
    'ydtotal': '雁东合计',
    'data6': '圣元热力',
    'data7': '融鑫热力',
    'data8': '南门热力',
    'data9': '朱雀路热力',
    'data10': '沣东热力',
    'data11': '朝阳门热力',
    'data12': '太华热力',
    'data13': '嘉晟',
    'data14': '明德',
    'data15': '西联大兴',
    'data16': '渭水',
    'data17': '城北',
    'data18': '幸福林带',
    'data19': '品诚',
    'finaltotal': '小时累计量合计'

  },
  // 门站累计流量
  CumulativeFlowStation: {
    'time': '时间',
    'data1': '吕小寨一期',
    'data2': '吕小寨一期撬装',
    'data4': '吕小寨二期一线',
    'data5': '吕小寨二期二线',
    'data8': '吕小寨二期扩容一线',
    'data9': '吕小寨二期扩容二线',
    'data10': '吕小寨二期扩容三线',
    'data11': '吕小寨二期扩容四线',
    'data13': '狄寨塬二期一线',
    'data14': '狄寨塬二期二线',
    'data15': '狄寨塬二期三线',
    'data16': '狄寨塬二期四线',
    'data18': '狄寨塬二期扩容一线',
    'data19': '狄寨塬二期扩容二线',
    'data20': '狄寨塬二期扩容三线',
    'provincetotal': '省公司合计',
    'data43': '高陵一线',
    'data44': '高陵二线',
    'data45': '高陵三线',
    'data46': '高陵四线',
    'finaltotal': '小时累计合计'

  },
  // 高中调累计流量
  CumulativeFlowRegulatorStation: {
    'time': '时间',
    'data1': '吕小寨一期',
    'data2': '吕小寨一期撬装',
    'data3': '吕小寨二期',
    'data6': '吕小寨二期中压',
    'data7': '吕小寨二期扩容',
    'data12': '狄寨塬二期',
    'data17': '狄寨塬二期扩容',
    'data20_5': '狄寨塬高高调',
    'data18': '耿镇高高调',
    'data19': '耿镇高中调',
    'data20': '耿镇中压调压',
    'data21': '港务区高高调',
    'data22': '港务区高中调',
    'data23': '高陵门站',
    'data24': '未央湖',
    'data25': '凤十站',
    'data26': '建章路',
    'data27': '北石桥',
    'data28': '科七路',
    'data29': '凤八路',
    'data30': '万寿北',
    'data31': '朝阳门',
    'data32': '观音庙',
    'data33': '丈八站',
    'data34': '南郊站一期',
    'data35': '南郊站二期',
    'data36': '浐灞站',
    'data37': '长鸣路',
    'data38': '曲江站',
    'data39': '西万路',
    'data40': '曲一',
    'data41': '郭杜',
    'finaltotal': '小时累计合计'
  },
  // 热源厂瞬时流量
  InstantaneousFlowHeatPlant: {
    'time': '时间',
    'data1': '西郊热电一期',
    'data2': '西郊热电二期',
    'xjrdtotal': '西郊热电合计',
    'data3': '阳光热力',
    'data4': '雁东一期',
    'data5': '雁东二期',
    'ydtotal': '雁东合计',
    'data6': '圣元热力',
    'data7': '融鑫热力',
    'data8': '南门热力',
    'data9': '朱雀路热力',
    'data10': '沣东热力',
    'data11': '朝阳门热力',
    'data12': '太华热力',
    'data13': '嘉晟',
    'data14': '明德',
    'data15': '西联大兴',
    'data16': '渭水',
    'data17': '城北',
    'data18': '幸福林带',
    'data19': '品诚',
    'finaltotal': '小时累计量合计'
  },
  // 高中调瞬时流量
  InstantaneousFlowRegulatorStation: {
    'time': '时间',
    'data1': '吕小寨一期',
    'data2': '吕小寨一期撬装',
    'data3': '吕小寨二期',
    'data6': '吕小寨二期中压',
    'data7': '吕小寨二期扩容',
    'data12': '狄寨塬二期',
    'data17': '狄寨塬二期扩容',
    'data20_5': '狄寨塬高高调',
    'data18': '耿镇高高调',
    'data19': '耿镇高中调',
    'data20': '耿镇中压调压',
    'data21': '港务区高高调',
    'data22': '港务区高中调',
    'data23': '高陵门站',
    'data24': '未央湖',
    'data25': '凤十站',
    'data26': '建章路',
    'data27': '北石桥',
    'data28': '科七路',
    'data29': '凤八路',
    'data30': '万寿北',
    'data31': '朝阳门',
    'data32': '观音庙',
    'data33': '丈八站',
    'data34': '南郊站一期',
    'data35': '南郊站二期',
    'data36': '浐灞站',
    'data37': '长鸣路',
    'data38': '曲江站',
    'data39': '西万路',
    'data40': '曲一',
    'data41': '郭杜',
    'finaltotal': '小时累计合计'
  },
  // 门站瞬时流量
  InstantaneousFlowStation: {
    'time': '时间',
    'data1': '吕小寨一期',
    'data2': '吕小寨一期撬装',
    'data4': '吕小寨二期一线',
    'data5': '吕小寨二期二线',
    'data8': '吕小寨二期扩容一线',
    'data9': '吕小寨二期扩容二线',
    'data10': '吕小寨二期扩容三线',
    'data11': '吕小寨二期扩容四线',
    'data13': '狄寨塬二期一线',
    'data14': '狄寨塬二期二线',
    'data15': '狄寨塬二期三线',
    'data16': '狄寨塬二期四线',
    'data18': '狄寨塬二期扩容一线',
    'data19': '狄寨塬二期扩容二线',
    'data20': '狄寨塬二期扩容三线',
    'provincetotal': '省公司合计',
    'data43': '高陵一线',
    'data44': '高陵二线',
    'data45': '高陵三线',
    'data46': '高陵四线',
    'finaltotal': '小时累计合计'
  },
  // 热源厂整点压力
  OnTimePressureHeatPlant: {
    'time': '时间',
    'data1_in': '西郊热电一期进站压力', 'data1_out': '西郊热电一期出站压力',
    'data2_in': '西郊热电二期进站压力', 'data2_out': '西郊热电二期出站压力',
    'data3_in': '阳光热力进站压力', 'data3_out': '阳光热力出站压力',
    'data4_in': '雁东一期进站压力', 'data4_out': '雁东一期出站压力',
    'data5_in': '雁东二期进站压力', 'data5_out': '雁东二期出站压力',
    'data6_in': '圣元热力进站压力', 'data6_out': '圣元热力出站压力',
    'data7_in': '融鑫热力进站压力', 'data7_out': '融鑫热力出站压力',
    'data8_in': '南门热力进站压力', 'data8_out': '南门热力出站压力',
    'data9_in': '朱雀路热力进站压力', 'data9_out': '朱雀路热力出站压力',
    'data10_in': '沣东热力进站压力', 'data10_out': '沣东热力出站压力',
    'data11_in': '朝阳门热力进站压力', 'data11_out': '朝阳门热力出站压力',
    'data12_in': '太华热力进站压力', 'data12_out': '太华热力出站压力',
    'data13_in': '嘉晟进站压力', 'data13_out': '嘉晟出站压力',
    'data14_in': '明德进站压力', 'data14_out': '明德出站压力',
    'data15_in': '西联大兴进站压力', 'data15_out': '西联大兴出站压力',
    'data16_in': '渭水进站压力', 'data16_out': '渭水出站压力',
    'data17_in': '城北进站压力', 'data17_out': '城北出站压力',
    'data18_in': '幸福林带进站压力', 'data18_out': '幸福林带出站压力',
    'data19_in': '品诚进站压力', 'data19_out': '品诚出站压力'
  },
  // 高中调整点压力
  OnTimePressureRegulatorStation: {
    'year_month_day': '时间',
    'data1_in': '吕小寨一期进站压力', 'data1_out': '吕小寨一期出站压力',
    'data2_in': '吕小寨一期撬装进站压力', 'data2_out': '吕小寨一期撬装出站压力',
    'data3_in': '吕小寨二期进站压力', 'data3_out': '吕小寨二期出站压力',
    'data6_in': '吕小寨二期中压进站压力', 'data6_out': '吕小寨二期中压出站压力',
    'data7_in': '吕小寨二期扩容进站压力', 'data7_out': '吕小寨二期扩容出站压力',
    'data12_in': '狄寨塬二期进站压力', 'data12_out': '狄寨塬二期出站压力',
    'data17_in': '狄寨塬二期扩容进站压力', 'data17_out': '狄寨塬二期扩容出站压力',
    'data18_in': '耿镇高高调进站压力', 'data18_out': '耿镇高高调出站压力',
    'data19_in': '耿镇高中调进站压力', 'data19_out': '耿镇高中调出站压力',
    'data20_in': '耿镇中压调压进站压力', 'data20_out': '耿镇中压调压出站压力',
    'data21_in': '港务区高高调进站压力', 'data21_out': '港务区高高调出站压力',
    'data22_in': '港务区高中调进站压力', 'data22_out': '港务区高中调出站压力',
    'data23_in': '高陵门站进站压力', 'data23_out': '高陵门站出站压力',
    'data24_in': '未央湖进站压力', 'data24_out': '未央湖出站压力',
    'data25_in': '凤十站进站压力', 'data25_out': '凤十站出站压力',
    'data26_in': '建章路进站压力', 'data26_out': '建章路出站压力',
    'data27_in': '北石桥进站压力', 'data27_out': '北石桥出站压力',
    'data28_in': '科七路进站压力', 'data28_out': '科七路出站压力',
    'data29_in': '凤八路进站压力', 'data29_out': '凤八路出站压力',
    'data30_in': '万寿北进站压力', 'data30_out': '万寿北出站压力',
    'data31_in': '朝阳门进站压力', 'data31_out': '朝阳门出站压力',
    'data32_in': '观音庙进站压力', 'data32_out': '观音庙出站压力',
    'data33_in': '丈八站进站压力', 'data33_out': '丈八站出站压力',
    'data34_in': '南郊站一期进站压力', 'data34_out': '南郊站一期出站压力',
    'data35_in': '南郊站二期进站压力', 'data35_out': '南郊站二期出站压力',
    'data36_in': '浐灞站进站压力', 'data36_out': '浐灞站出站压力',
    'data37_in': '长鸣路进站压力', 'data37_out': '长鸣路出站压力',
    'data38_in': '曲江站进站压力', 'data38_out': '曲江站出站压力',
    'data39_in': '西万路进站压力', 'data39_out': '西万路出站压力',
    'data40_in': '曲一进站压力', 'data40_out': '曲一出站压力',
    'data41_in': '郭杜进站压力', 'data41_out': '郭杜出站压力'
  },
  // 日用气量计算
  CaculateGasConsumputionByDay: {
    'time1': '时间',
    'gaspurchasecapacity': '购气量',
    'data3': '港务区',
    'data4': '门站二期扩容P进',
    'data5': '门站二期扩容P出',
    'data6': '暂用凤十P进',
    'data7': '浐河站P进',
    'data8': '西延P进',
    'data9': '朱雀站P进',
    'data10': '丈八站P进',
    'data11': '曲江站P进',
    'data12': '西万路站',
    'data13': '球罐PA',
    'data14': '球罐PB',
    'data15': '球罐PC',
    'data16': '球罐PD',
    'f_consumpution': '用气量',
    'f_correction': '修正量',
    'f_result': '结果',
    'f_wosi_lng': '我司',
    'f_yinzhen_lng': '引镇',
    'finaltotal': '一日'
  },
  GroupCharge: {
    'id': '收费编号',
    'f_user_name': '客户姓名',
    'f_user_type': '客户类型',
    'f_address': '客户地址',
    'f_pregas': '气量',
    'f_preamount': '气费',
    'f_delay': '应交违约金',
    'f_delaypay': '实交违约金',
    'f_balance': '上期余额',
    'f_curbalance': '本期余额',
    'f_newbalance': '账户支出',
    'f_newcurbalance': '账户存入',
    'f_collection': '收款',
    'f_state': '收费状态',
    'f_operate_date': '收费日期',
    'f_payment': '付款方式',
    'f_type': '收费类型',
    'f_comments': '备注',
    'f_operator': '收费人',
    'f_orgname': '部门',
    'f_depname': '公司'
  },
  // 上报数据
  ReportDataConfig: {
    'f_userinfo_code': '用户编号',
    'f_user_name': '用户名称',
    'f_meternumber': '表号',
    'f_tablebase': '本次抄表底数',
    'f_last_tablebase': '上次抄表底数',
    'f_jval': '表计剩余余额',
    'f_hand_date': '抄表日期',
    'f_last_hand_date': '上次抄表日期',
    'f_gas_date': '开户日期',
    'f_software_version': '软件版本号',
    'f_table_msg': '表状态信息',
    'f_last_meter_state_msg': '上次表状态信息',
    'f_insert_date': '插入日期',
    'f_last_insertdate': '上次插入日期',
    'f_whether_clear': '是否结算',
    'f_super_gas': '超用气量',
    'f_electricity': '电量等级',
    'f_times': '购气次数',
    'f_price': '单价',
    'f_signal': '信号强度',
    'f_snr': '信噪比',
    'f_batterylevel': '电压',
    'f_networkshutvalve': '阀门强制状态',
    'f_valvestate': '阀门状态',
    'f_wmprepaytype': '计量类型',
    'f_upload_type': '上报类型',
    'f_moneystate': '金额状态',
    'f_lowlithiumbattery': '电压状态',
    'f_magneticinterference': '磁干扰异常',
    'f_meterbalanceamt': '表内剩余金额',
    'f_meterdebitamt': '表内累计充值金额',
    'f_compensatestate': '补偿状态',
    'f_meter_brand': '气表品牌',
    'f_meter_style': '气表型号',
    'f_orgname': '分公司'

  },
  valueinfoConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_meternumber': '表号',
    'f_user_phone': '客户电话',
    'f_user_type': '用户类型',
    'f_gasproperties': '用气性质',
    'f_operate_date': '操作时间',
    'f_open_state': '是否开通',
    'f_change_state': '状态',
    'f_field_name': '增值服务类型',
    'f_used_content': '变更前',
    'f_new_content': '变更后',
    'f_operator': '操作人',
    'operator_orgname': '操作人所属公司',
    'f_orgname': '所属公司'
  },
  valuecountConfig: {
    'itemname': '增值业务名称', 'num': '数量'
  },
  valueuserinfoConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_user_type': '用户类型',
    'f_gasproperties': '用气性质',
    'f_meter_classify': '气表类型',
    'f_meternumber': '表号',
    'itemname': '增值服务类型',
    'ishas': '有无增值业务',
    'startdate': '购买时间',
    'f_operate_date': '最后操作时间',
    'f_orgname': '所属公司'
  },
  renewalvalueuserinfoConfig: {
    'f_userinfo_code': '客户编号',
    'f_user_name': '客户名称',
    'f_address': '客户地址',
    'f_meternumber': '表号',
    'f_user_type': '用户类型',
    'f_gasproperties': '用气性质',
    'f_meter_classify': '气表类型',
    'itemname': '增值服务类型',
    'yearstartdate': '上次购买时间',
    'yearenddate': '本次购买时间',
    'f_orgname': '所属公司'
  },
  reportDetailConfig: {
    'f_userinfo_code': '用户编号', 'f_user_name': '用户名称', 'f_address': '用户地址', 'f_user_phone': '联系方式',
    'f_user_nature': '用户类型', 'f_meternumber': '表号', 'f_serial_id': '支付流水号',
    'f_type': '收费类型', 'f_brand_spec': '规格名称', 'f_typenumber': '型号', 'f_unitprice': '单价', 'f_number': '数量',
    'f_collection': '收款', 'f_payment': '付款方式', 'f_operate_date': '收费日期', 'f_state': '状态',
    'f_orgname': '所属机构', 'f_depname': '部门', 'f_operator': '操作人'
  },
  enterpriseChargeConfig: {
    'f_userinfo_code': '燃气户号',
    'f_paper_name': '企业名称',
    'f_taxpayer_id': '统一社会信用代码',
    'f_orgname': '燃气公司标志',
    'f_pregas': '用气量',
    'f_preamount': '应交金额',
    'f_collection': '收款',
    'f_operate_date': '收费日期'
  },
  enterpriseGasConfig: {
    'f_userinfo_code': '燃气户号',
    'f_paper_name': '企业名称',
    'f_taxpayer_id': '统一社会信用代码',
    'f_orgname': '燃气公司标志',
    'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额',
    'f_whether_pay': '是否缴费',
    'f_input_date': '抄表日期'
  }
}

