import Vue from 'vue'
import init from 'test/unit/init'
import { TestUtil } from 'vue-client'

import UserQuery from 'src/components/ManageBusiness/UserQuery'

describe('UserQuery: 用户查询', () => {
  let vm = null
  before(() => {
    init()
  })

  after(function () {
  })

  it('组件能够正确显示', async function() {
    await Vue.$login.login('hainan', '1')
    vm = await TestUtil.createAsyncTest(UserQuery, {})
    assert.include(vm.$el.innerText, '汇总信息结余合计: 0')
  })
})
