export default{
  fmygasConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_olduserinfo_code': '档案编号', 'f_user_phone': '客户电话', 'f_credentials': '证件类型',
    'f_idnumber': '证件号码', 'f_address': '客户地址', 'f_user_type': '客户类型', 'f_gasproperties': '用气性质', 'f_residential_area': '小区',
    'f_meternumber': '表号', 'f_meter_brand': '气表品牌', 'f_meter_classify': '气表类型', 'f_price_value': '气价详情', 'f_balance': '账户余额',
    'f_pregas': '预购气量', 'f_preamount': '预购金额', 'f_collection': '实交金额', 'f_inputtor': '抄表员', 'f_book_slice_area': '表册片区',
    'f_hand_number': '抄表次数', 'f_date': '抄表区间', 'f_input_day': '天数', 'f_oughtamount': '用气量', 'f_oughtfee': '用气金额', 'f_usetype': '使用类型'
  },
  compreConfig: {
    'f_userinfo_code': '客户编号','f_user_name': '客户名称',
    'f_residential_area': '小区名称','f_address': '客户地址','f_meternumber': '表号','f_price_name': '气价名称',
    'value':'单价','f_user_phone': '客户电话','f_balance': '账户余额','f_balance_amount': '表剩余金额',
    'f_meter_brand': '气表品牌','f_user_type': '客户类型','f_gasproperties': '用气性质','f_valve_state': '阀门状态',
    'f_sendsuccess': '表同步状态','f_user_state': '客户状态','f_meter_style': '气表型号','f_table_state': '表状态',
    'f_aroundmeter': '左右表','f_position': '安装位置','f_install_date': '安装日期','f_install_person': '安装人',
    'f_initial_base': '初始气表底数','f_meter_base': '气表底数','f_hand_date': '最后抄表日期','f_total_usegas_amount': '累计用气金额',
    'f_total_gas': '表累购气量','f_total_fee': '表累购金额','f_contract_id':'发票编码','f_bz_type':'报装类型',
    'f_createfile_date': '建档日期', 'f_createfile_person': '建档人','f_depname': '所属营业厅','f_alarm_code': '报警器编号',
    'f_card_id': '卡号', 'f_whether_hairpin': '是否发卡','f_open_date': '开户时间','f_zones': '片区',
    'f_credentials': '证件类型','f_idnumber': '证件号码','f_people_num': '人口数','f_ins_stop_date': '保险结束日期',
    'f_comments': '备注信息', 'f_used_name': '曾用名','f_rent_phone': '备用电话','f_rent_name': '租户姓名',
    'f_zuhu_phone': '租户电话','f_is_mgq': '是否煤改气','f_send_usegas_card': '是否发放天然气使用证','f_usetype':'使用类型',
    'f_inputtor': '表册抄表员', 'f_book_inputtor': '档案抄表员','f_userfiles_address': '安装地址','f_gas_person': '通气人',
    'f_meter_book_num': '抄表册编号','f_meter_book_sort': '抄表册顺序','f_times': '写卡次数','f_fillcard_times': '补卡次数',
    'f_isband': '微信绑定', 'f_meter_type': '气表类型', 'f_metertitles': '表封号', 'f_packaging': '工程安装费'
  },
  // 把打印需要默认选中的字段名放在config数组中
  chargeConfig: {
    'id': '收费编号', 'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_address': '客户地址', 'f_user_type': '客户类型', 'f_gasproperties': '用气性质', 'f_meternumber': '表号','f_times':'购气次数',
    'f_pregas': '累计气量','fee': '金额','f_preamount': '金额','f_collection': '缴费金额', 'f_privilege_money': '优惠金额', 'f_balance': '上期结余',
    'f_curbalance': '本期结余','f_type': '收费类型','f_payment': '付款方式','f_state': '状态','f_date': '收费日期',
    'f_delaypay': '违约金','f_comments': '备注','f_operator': '操作员','f_depname': '部门','f_orgname': '公司','f_rest_date':'所属年月',
    'f_yucun':'预存金额','f_card_id':'卡号','f_stairamount1':"一阶气量",'f_stair1price':"一阶单价",'f_stair1fee':"一阶气费",
    'f_stair2amount':"二阶气量",'f_stair2price':"二阶单价",'f_stair2fee':"二阶气费",
    'f_stair3amount':"三阶气量",'f_stair3price':"三阶单价",'f_stair3fee':"三阶气费",'f_idnumber': '证件号码'
  },
  handplanConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称','f_zones': '片区' ,'f_address': '客户地址', 'f_user_phone': '客户手机', 'f_meternumber': '表号','ym_data': '数据年月',
    'f_last_tablebase': '上期底数', 'f_tablebase': '本期底数', 'f_oughtamount1': '用气量', 'f_oughtfee': '用气金额', 'f_debt_money': '预存扣费','f_balance': '上期余额','f_curbalance': '本期余额',
    'f_accounts_state': '下账状态', 'f_operate_date': '收费时间', 'f_inputtor': '抄表员', 'f_hand_date': '下发日期', 'f_input_date': '录入日期', 'f_meter_state': '抄表状态', 'f_hand_state': '记录状态',
    'f_operator': '操作员', 'f_depname': '部门', 'f_orgname': '公司', 'f_surplus_gas': '剩余气量', 'f_haircut_gas': '扣减气量','f_gasproperties': '用气性质',
    'f_stair1amount': '一阶气量', 'f_stair1price': '一阶单价', 'f_stair1fee': '一阶气费',
    'f_stair2amount': '二阶气量', 'f_stair2price': '二阶单价', 'f_stair2fee': '二阶气费',
    'f_stair3amount': '三阶气量', 'f_stair3price': '三阶单价', 'f_stair3fee': '三阶气费', 'f_rest_date': '所属年月'
  },
  batchBankConfig2: {
    'f_userinfo_code': '客户编号', 'f_userinfo_id': '用户编号', 'f_user_phone': '客户电话', 'f_user_name': '客户姓名', 'f_address': '客户地址',
    'f_bank_accopen': '银行户名', 'f_bank_pay_number': '缴费编号', 'f_bank_account': '银行开户账号', 'f_paper_account': '开户行及账号',
    'f_bank_name': '银行名称', 'f_oughtfee': '欠费金额'
  },
  arrearsConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_residential_area': '小区名称', 'f_address': '客户地址',
    'f_user_phone': '客户电话', 'f_rent_phone': '备用电话', 'f_inputtor': '抄表员', 'f_book_name': '抄表册', 'f_user_type': '客户类型',
    'f_gasproperties': '用气性质', 'f_comments': '备注', 'f_meternumber': '表号', 'c': '欠费期数', 'f_hand_date': '欠费区间', 'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额', 'f_operate_date': '缴费时间', 'f_debt_money': '已交金额', 'f_oughtfee_new': '应交气费',
    'overdue': '违约金', 'f_garbage_fee': '附加费', 'f_last_tablebase': '上期抄表底数', 'f_balance': '上期余额',
    'f_oughtfee_all': '合计欠费金额', 'f_cost_type': '缴费方式'
  },
  arrearsGYConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_meternumber': '表号', 'f_residential_area': '小区名称', 'f_address': '客户地址',
    'f_user_phone': '客户电话', 'f_rent_phone': '备用电话', 'f_inputtor': '抄表员', 'f_book_name': '抄表册', 'f_user_type': '客户类型',
    'f_gasproperties': '用气性质', 'f_comments': '备注', 'c': '欠费期数', 'f_hand_date': '欠费区间', 'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额', 'f_operate_date': '缴费时间', 'f_debt_money': '已交金额', 'f_oughtfee_new': '应交气费',
    'f_tablebase': '本期底数', 'f_balance': '账户余额', 'f_oughtfee_all': '合计欠费', 'f_oughtfee_all_new': '实际欠费'
  },
  monthGasConfig: {
    'code': '客户编号', 'username': '客户名称','f_user_type':'客户类型','f_gasproperties':'用气性质', 'jan': '一月',
    'feb': '二月', 'mar': '三月', 'apr': '四月',
    'may': '五月', 'jun': '六月', 'jul': '七月', 'jug': '八月',
    'sep': '九月', 'oct': '十月', 'nov': '十一月', 'dec': '十二月',
    'sum_oughtamount': '累计气量', 'f_oughtfee': '累计金额', 'avg_oughtamount': '月平均气量'
  },
  transferConfig: {
    'f_userinfo_code': '客户编号', 'f_address': '客户地址', 'f_operate_date': '过户日期',
    'f_user_name': '原客户名称', 'f_user_phone': '原客户电话', 'f_newuser_name': '现客户名称',
    'f_newuser_phone': '现客户电话', 'f_operator': '操作员', 'f_depname': '部门',
    'f_meternumber': '表号', 'f_comments': '备注'
  }
}
