export default{
  // 把打印需要默认选中的字段名放在config数组中
  userConfig: { 'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_user_phone': '客户电话',
    'f_idnumber': '身份证号','f_balance': '账户余额','f_address': '客户地址','f_residential_area': '小区',
    'f_building': '楼栋','f_unit': '单元','f_floor': '楼层','f_room': '门牌号',
    'f_user_state': '客户状态','f_createfile_date': '建档日期','f_createfile_person': '建档人','f_comments': '备注'
  },
  Wrongquery: {
    'f_userinfo_code' : '用户编号',
    'f_user_name' : '用户名称',
    'f_meternumber' : '表号',
    'f_bank_pay_number' : '缴费编号',
    'f_operator_date' : '抄表时间',
    'f_operator_type' : '错误类型',
    'f_error_type' : '错误原因',
    'f_bankname' : '银行名称',
    'f_msg' : '错误信息'
  },
  //操作记录查询
  recordConfig:{
    'f_operat_type':'操作类型','f_describe':'操作详情','f_state':'状态','f_operate_date':'操作时间','f_orgname':'公司名称',
    'f_depname':'部门名称','f_operator':'操作人员'
  },
  // 业务查询
  businesConfig:{
    'f_userinfo_code': '客户编号','f_user_name':'客户名称', 'f_meternumber':'表号', 'f_operat_type':'操作类型', 'f_describe':'操作描述',
    'f_state':'操作状态','f_operate_date':'操作日期','f_orgname':'组织名称','f_depname':'部门名称','f_operator':'操作人'
  },
  // 资源操作
  resourceConfig :{
    'operate':'操作内容','tablename':'操作表明','type':'操作类型','time':'操作时间','id':'主键id',
    'userid':'登录id','loginip':'登录ip','username':'登陆人','usertelephone':'电话','logindate':'登陆时间','ltype':'登录类型'

  },
  wechatConfig: { 'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_meter_brand': '气表品牌',
    'f_meter_type': '气表类型','f_user_phone': '客户电话','f_open_id': '微信标识','f_band_state': '绑定状态',
    'f_address': '客户地址'
  },
  meterConfig: {
    'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_user_phone': '客户电话','f_idnumber': '身份证号','f_address': '客户地址','f_balance_amount': '表上余额',
    'f_user_type': '客户类型','f_gasproperties': '用气性质','f_meternumber': '表号',"f_card_id":'卡号','f_price_name': '气价名称',
    'value': '气价详情','f_meter_brand': '气表品牌', 'f_meter_style': '气表型号','f_inputtor': '户管员',
    'f_gas_person': '通气人','f_gas_date': '通气时间','f_input_date': '建表时间', 'f_table_state': '气表状态', 'isbgl': '是否壁挂炉'
  },
  ResidentialQuery: {
    'f_residential_area':'小区','hushu':'户数','xinhushu':'新建户数','f_oughtfee':'用气金额','f_oughtamount':'用气量',
    'f_debt_money':'相抵','f_charge_money':'实收','f_qianfei':'欠费'
  },
  CommunityPaymen: {
    'f_residential_area':'小区名称','f_oughtfee':'应收','f_debt_money':'相抵','sf_debt_money':'实收','qf':'欠费',
    'f_balance':'余额'
  },
  deviceConfig: {
    'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_address': '客户地址', 'f_meternumber': '表号',
    'f_devices_type': '设备类型','f_devices_no': '设备编号','f_brand': '设备品牌', 'f_devices_model': '设备型号',
    'f_operate_date': '录入日期'
  },
  userDeviceConfig: {
    'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_user_nature': '用户性质', 'f_userinfodevices_type': '设备类型',
    'f_userinfodevices_no': '设备编号','f_userinfodevices_model': '设备型号','f_userinfodevices_num': '设备数量', 'f_userinfodevices_name': '设备别名',
    'f_expire_date': '缴费到期时间','f_mtc_fee': '累计维护缴费金额'
  },
  changUserConfig: {
    'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_user_phone': '客户电话', 'f_bank_accopen':'开户名','f_bank_name':'银行名','f_bank_idnumber':'银行预留身份证','f_field_name': '更改内容',
    'f_used_content': '更改前','f_new_content': '更改后','f_operator': '操作人', 'f_operate_date': '操作日期',
    'f_depname': '部门','f_orgname': '公司'
  },
  chargeConfig: {
    'id': '收费编号', 'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_address': '客户地址', 'f_user_type': '客户类型', 'f_gasproperties': '用气性质', 'f_meternumber': '表号','f_times':'购气次数',
    'f_pregas': '气量','fee': '金额','f_delaypay': '违约金','f_collection': '收款', 'f_privilege_money': '优惠金额', 'f_balance': '上期结余','f_meter_type':'气表类型','f_meter_brand':'气表品牌',
    'f_curbalance': '本期结余','f_type': '收费类型','f_payment': '付款方式','f_bank_type': '支付渠道','f_state': '状态','f_operate_date': '收费日期',
    'f_comments': '备注','f_operator': '操作员','f_depname': '部门','f_orgname': '公司','f_rest_date':'所属年月',
    'f_yucun': '预存金额','f_card_id': '卡号','f_stairamount1':"一阶气量",'f_stair1price':"一阶单价",'f_stair1fee':"一阶气费",
    'f_stair2amount': "二阶气量",'f_stair2price': "二阶单价",'f_stair2fee':"二阶气费",
    'f_stair3amount':"三阶气量",'f_stair3price': "三阶单价",'f_stair3fee':"三阶气费",'f_serial_number':'业务单号',
    'f_bank_name':'银行名称'
  },
  chargeexportConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_pregas': '气量', 'f_collection': '收款',
    'f_stairamount1': '一阶气量', 'f_stair2amount': '二阶气量', 'f_stair3amount': '三阶气量','f_serial_number':'业务单号',
    'f_bank_name':'银行名称'
  },
  sellPeopleConfig: {
    'f_operator': '收费员', 'f_oughtfee': '燃气费', 'f_yucun': '预存款', 'f_other_fee': '其他费', 'f_number': '销售笔数', 'f_cal_collection': '冲正金额',
    'f_collection': '实收金额', 'qifei_num': '气费笔数','qifei_fee': '气费金额','yucun_num': '预存笔数','yucun_fee': '预存金额', 'tuifei_num': '退费笔数', 'tuifei_fee': '退费金额','f_delaypay': '已交违约金', 'f_heji': '合计金额'
  },
  handPeopleConfig: {
    'f_inputtor': '抄表员', 'f_user_number': '应抄户数', 'f_no_hand': '未抄户数', 'f_out_hand': '已抄无用量',
    'f_hand_num': '实抄户数', 'f_hand_lv': '抄表率', 'f_oughtamount': '期间抄表气量', 'f_oughtfee': '期间抄表金额',
    'f_debt_money': '期间实收气费金额', 'f_sell_hand': '已收户数', 'f_sell_lv': '收费率'
  },
  handBookConfig: {
    'f_inputtor': '抄表员','f_book_name': '抄表册', 'f_user_number': '应抄户数', 'f_no_hand': '未抄户数', 'f_out_hand': '已抄无用量',
    'f_hand_num': '实抄户数', 'f_hand_lv': '抄表率', 'f_oughtamount': '期间抄表气量', 'f_oughtfee': '期间抄表金额',
    'f_debt_money': '期间实收气费金额', 'f_sell_hand': '已收户数', 'f_sell_lv': '收费率'
  },
  handGasPropertiesConfig: {
    'f_gasproperties': '用气性质', 'f_user_number': '应抄户数', 'f_no_hand': '未抄户数', 'f_out_hand': '已抄无用量',
    'f_hand_num': '实抄户数', 'f_hand_lv': '抄表率', 'f_oughtamount': '期间抄表气量', 'f_oughtfee': '期间抄表金额',
    'f_debt_money': '期间实收气费金额', 'f_sell_hand': '已收户数', 'f_sell_lv': '收费率'
  },
  arrearsConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_residential_area': '小区名称', 'f_address': '客户地址',
    'f_user_phone': '客户电话','f_rent_phone': '备用电话','f_inputtor': '抄表员','f_book_name': '抄表册','f_user_type': '客户类型','f_cost_type':'缴费类型',
    'f_gasproperties': '用气性质', 'f_comments': '备注', 'c': '欠费期数', 'f_hand_date': '欠费区间', 'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额','f_operate_date': '缴费时间', 'f_debt_money': '已交金额', 'f_oughtfee_new': '应交气费',
    'overdue': '违约金', 'f_garbage_fee': '附加费','f_last_tablebase': '上期抄表底数','f_tablebase': '本期抄表底数','f_balance': '上期余额',
    'f_oughtfee_all': '合计欠费金额'
  },
  arrearsGYConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_meternumber': '表号', 'f_residential_area': '小区名称', 'f_address': '客户地址',
    'f_user_phone': '客户电话', 'f_rent_phone': '备用电话', 'f_inputtor': '抄表员', 'f_book_name': '抄表册', 'f_user_type': '客户类型',
    'f_gasproperties': '用气性质', 'f_comments': '备注', 'c': '欠费期数', 'f_hand_date': '欠费区间', 'f_oughtamount': '用气量',
    'f_oughtfee': '用气金额', 'f_operate_date': '缴费时间', 'f_debt_money': '已交金额', 'f_oughtfee_new': '应交气费',
    'f_tablebase': '本期底数', 'f_balance': '账户余额', 'f_oughtfee_all': '合计欠费', 'f_oughtfee_all_new': '实际欠费'
  },
  sellingHandConfig: {
    "f_userinfo_code": "客户编号","f_user_name":"客户名称","f_last_balance":"上期结余","f_balance":"本期结余",
    "f_pregas":"气量","f_preamount":"气费","f_charge_money":"收费金额","f_debt_money":"清欠金额","f_overdue":"违约金金额",
    "f_type":"收费类型", "f_state":"收费状态","f_operate_date":"操作时间","f_orgname":"所属公司"
  },

  compreConfig: {
    'f_userinfo_code': '客户编号','f_olduserinfo_code':'旧客户编号','f_user_name': '客户名称', 'f_user_phone': '客户电话',
    'f_residential_area': '小区名称','f_address': '客户地址','f_user_state': '客户状态','f_balance': '账户余额',
    'f_usestate': '使用状态','f_usetype':'使用类型',
    'f_user_type': '客户类型','f_gasproperties': '用气性质','f_price_name': '气价名称','value': '气价详情',
    'f_used_name': '曾用名','f_rent_phone': '备用电话','f_rent_name': '租户姓名','f_zuhu_phone': '租户电话','f_open_date': '开户时间',
    'f_contract_id': '合同ID','f_is_mgq': '是否煤改气','f_ins_stop_date': '保险结束日期','f_send_usegas_card': '是否发放天然气使用证',
    'f_comments': '备注信息','f_credentials': '证件类型','f_idnumber': '证件号码','f_createfile_date': '建档日期','f_createfile_person': '建档人',
    'f_depname': '所属营业厅','f_people_num': '人口数','f_meter_brand': '气表品牌','f_meter_style': '气表型号','f_meter_type': '气表类型',
    'f_table_state': '表状态','f_initial_base': '初始气表底数','f_meter_base': '气表底数','f_total_usegas_amount': '累计用气金额','f_total_gas': '表累购气量',
    'f_total_fee': '表累购金额','f_meternumber': '表号','f_metertitles': '表封号','f_inputtor': '抄表员','f_position': '安装位置', 'f_cost_type': '缴费类型',
    'f_userfiles_address': '安装地址','f_install_person': '安装人','f_install_date': '安装日期','f_gas_person': '通气人','f_gas_date': '通气日期',
    'f_fire_state': '点火状态','f_valve_state': '阀门状态','f_meter_book_num': '抄表册编号','f_meter_book_sort': '抄表册顺序','f_card_id': '卡号',
    'f_aroundmeter': '左右表','f_whether_hairpin': '是否发卡','f_balance_amount': '表剩余金额','f_times': '写卡次数',
    'f_fillcard_times': '补卡次数','f_hand_date': '最后抄表日期','f_sendsuccess': '表同步状态','f_bank_accopen':'银行户名','f_bank_name':'银行名称','f_bank_account':'银行账号','f_bank_idnumber':'银行身份证号'
  },
  changemeterConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_address': '客户地址',
    'f_type': '换表类型','f_changemeter_fee': '换表费','f_meternumber_old': '旧表号','f_meternumber': '新表号',
    'f_meter_brand_old': '旧气表品牌','f_meter_brand': '新气表品牌','f_remanent_gas': '补气量','f_remanent_money': '补气金额',
    'f_comments': '备注','f_change_operator': '换表人','f_state': '状态','f_operate_date': '换表日期',
    'f_operator': '人员','f_depname': '部门','f_orgname': '公司'
  },

  otherchargeConfig: {
    'f_userinfo_code': '客户编号','f_user_name': '客户名称', 'f_address': '客户地址','f_brand_spec':'收费类型',
    'f_collection': '收款','f_payment': '付款方式','f_state': '状态','f_operate_date': '收费日期',
    'f_service_person': '服务人员','f_serial_number':'业务单号','f_comments': '备注',
    'f_operator': '操作员','f_depname': '部门','f_orgname': '公司'
  },
  cardhandplanConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_address': '客户地址', 'f_meternumber': '表号',
    'f_last_tablebase': '上期底数', 'f_tablebase': '本期底数', 'f_real_amount': '用气量','f_total_gas': '总购气量',
    'f_yuliang': '余量','f_inputtor': '抄表员', 'f_hand_date': '下发日期', 'f_input_date': '录入日期',
    'f_meter_state': '抄表状态', 'f_operator': '操作员', 'f_depname': '部门'
  },
  handplanConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_address': '客户地址', 'f_user_type':'客户类型','f_residential_area':'小区','f_user_phone': '客户手机', 'f_meternumber': '表号','ym_data': '数据年月','f_meter_classify': '气表类型','f_meter_brand': '气表品牌',
    'f_last_tablebase': '上期底数', 'f_tablebase': '本期底数', 'f_oughtamount': '用气量','overdue':'违约金' ,'f_oughtfee': '用气金额', 'f_debt_money': '预存扣费','f_balance': '上期余额','f_curbalance': '本期余额',
    'f_accounts_state': '下账状态', 'f_sellinggas_operate_date': '收费时间', 'f_inputtor': '抄表员', 'f_hand_date': '下发日期', 'f_input_date': '录入日期', 'f_meter_state': '抄表状态', 'f_hand_state': '记录状态',
    'f_operator': '操作员', 'f_depname': '部门', 'f_orgname': '公司', 'f_surplus_gas': '剩余气量', 'f_haircut_gas': '扣减气量',
    'f_stair1amount': '一阶气量', 'f_stair1price': '一阶单价', 'f_stair1fee': '一阶气费',
    'f_stair2amount': '二阶气量', 'f_stair2price': '二阶单价', 'f_stair2fee': '二阶气费','f_actual_arrears':'实际欠费金额','alloughtfee':'已交气量合计',
    'f_stair3amount': '三阶气量', 'f_stair3price': '三阶单价', 'f_stair3fee': '三阶气费', 'f_rest_date': '所属年月','f_whether_pay':'是否缴费'
  },
  handplanprintConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_address': '客户地址', 'f_user_phone': '客户手机', 'f_meternumber': '表号','ym_data': '数据年月',
    'f_last_tablebase': '上期底数', 'f_tablebase': '本期底数', 'f_oughtamount': '用气量','overdue':'违约金' ,'f_oughtfee': '用气金额', 'f_debt_money': '预存扣费','f_balance': '上期余额','f_curbalance': '本期余额',
    'f_accounts_state': '下账状态', 'f_operate_date': '收费时间', 'f_inputtor': '抄表员', 'f_hand_date': '下发日期', 'f_input_date': '录入日期', 'f_meter_state': '抄表状态', 'f_hand_state': '记录状态',
    'f_operator': '操作员', 'f_depname': '部门', 'f_orgname': '公司', 'f_surplus_gas': '剩余气量', 'f_haircut_gas': '扣减气量',
    'f_stair1amount': '一阶气量', 'f_stair1price': '一阶单价', 'f_stair1fee': '一阶气费',
    'f_stair2amount': '二阶气量', 'f_stair2price': '二阶单价', 'f_stair2fee': '二阶气费',
    'f_stair3amount': '三阶气量', 'f_stair3price': '三阶单价', 'f_stair3fee': '三阶气费', 'f_rest_date': '所属年月',
    "alloughtfee":"已交气量合计"
  },
  balanceConfig: {
    'f_userinfo_code': '客户编号','f_user_name':'客户名称', 'f_balance': '期初余额','f_oughtfee': '期间应收',
    'f_preamount': '期间已缴','f_curbalance': '期末余额', 'f_user_balance': '最新余额'
  },
  BalanceTableConfig: {
    'f_userinfo_code': '客户编号','f_user_name':'客户名称', 'f_balance': '期初余额','f_oughtfee': '期间应收',
    'f_collection': '期间已收','f_last_balance': '期末余额', 'f_balances': '最新余额'
  },
  TransactionSummaryConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_type': '类型', 'f_price': '气价',
    'f_oughtamount': '气量', 'f_oughtfee': '金额', 'f_whether_pay': '是否交费', 'f_hand_date': '计划日期'
  },
  ChargeDayReportConfig: {
    'f_userinfo_code': '户号', 'f_card_id': '卡号', 'f_user_name': '户主名称', 'f_residential_area': '小区',
    'f_address':'地址','f_pregas':'购气气量','f_preamount':'收费金额',
    'f_type': '收费类型','f_date': '收费时间','f_operator': '收费员','f_payment': '收费方式'
  },
  UserGasFillCardConfig: {
    'f_userinfo_code': '用户编号', 'f_user_name': '用户名称', 'f_residential_area': '用户地址', 'f_pregas': '购气气量',
    'f_gas1':'阶一气量','f_gas2':'阶二气量','f_gas3':'阶三气量',
    'f_preamount': '收费金额','f_user_type': '用户类型','f_type': '收费类型','f_date': '日期','f_operator': '操作员'
  },
  batchBankConfig: {
    'f_userinfo_code': '客户编号','f_user_phone': '客户电话', 'f_user_name': '客户姓名', 'f_address': '客户地址',
    'f_bank_accopen': '银行户名', 'f_bank_pay_number': '缴费编号', 'f_bank_account': '银行开户账号','f_bank_name': '银行名称',
    'f_shiji_oughtfee':"实际用气金额合计",'f_debt_money':'已交金额','overdue':'违约金', 'f_oughtfee': '欠费金额', 'f_balance': '上期余额'
  },
  fmygasConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_user_phone': '客户电话', 'f_credentials': '证件类型',
    'f_idnumber': '证件号码', 'f_address': '客户地址', 'f_user_type': '客户类型', 'f_gasproperties': '用气性质','f_residential_area': '小区',
    'f_meternumber': '表号', 'f_meter_brand': '气表品牌', 'f_meter_classify': '气表类型', 'f_price_value': '气价详情',
    'f_pregas': '预购气量', 'f_preamount': '预购金额', 'f_collection': '实交金额', 'f_inputtor': '抄表员',
    'f_hand_number': '抄表次数', 'f_date': '抄表区间', 'f_input_day': '天数', 'f_oughtamount': '用气量', 'f_oughtfee': '用气金额', 'f_usetype': '使用类型'
  },
  handRateConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_user_phone': '客户电话', 'f_address': '客户地址',
    'f_user_type': '客户类型', 'f_gasproperties': '用气性质', 'f_meternumber': '表号', 'f_meter_classify': '气表类型',
    'f_price_value': '气价详情', 'f_oughtfee': '应收金额', 'f_oughtamount': '应收气量', 'f_yijiao': '已收金额',
    'f_weijiao': '未收金额', 'f_oughtfee_all': '累计未收', 'f_oughtamount_all': '未收气量', 'f_hv': '回收率',
    'f_inputtor': '抄表员'
  },
  reverseConfig: {
    'f_userinfo_code': '客户编号','f_user_name': '客户名称', 'f_address': '客户地址',
    'f_type': '冲正类型','f_pregas': '冲正气量','f_preamount': '冲正金额','f_collection': '冲正收款', 'f_operate_date': '冲正日期',
    'f_operator': '操作员','f_depname': '部门','f_orgname': '公司'
  },
  transferConfig: {
    'f_userinfo_code': '客户编号', 'f_newuser_name': '客户名称', 'f_address': '客户地址',
    'f_user_name': '原客户名称', 'f_newuser_phone': '新客户电话', 'f_user_phone': '原客户电话','f_transfer_fees': '过户费','f_operate_date': '过户日期','f_serial_number':'业务单号',
    'f_operator': '操作员','f_depname': '部门','f_orgname': '公司'
  },

  fillgasConfig: {
    'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_address': '客户地址',
    'f_card_id': '卡号','f_meter_brand': '气表品牌','f_type': '补气类型','f_comments': '补气原因',
    'f_pregas': '补气量','f_preamount': '补气金额','f_operate_date': '补气日期',
    'f_operator': '操作员','f_depname': '部门','f_orgname': '公司'
  },

  fillcardConfig: {
    'f_userinfo_code': '客户编号','f_user_name':'客户名称','f_address': '客户地址',
    'f_card_id': '卡号','f_meter_brand': '气表品牌','f_type': '补卡类型','f_comments': '补卡原因','f_cardfees': '卡费','f_operate_date': '补卡日期',
    'f_operator': '操作员','f_depname': '部门','f_orgname': '公司'
  },

  enableConfig: {
    'f_userinfo_code': '客户编号','f_user_name': '客户名称', 'f_address': '客户地址',
    'f_enable_reason': '启用原因','f_othereason': '其他原因','f_state': '启用状态','f_operate_date': '启用日期',
    'f_operator': '操作员','f_depname': '部门','f_orgname': '公司'
  },
  movemeterConfig: {
    'f_userinfo_code': '客户编号','f_user_name': '客户名称', 'f_address': '旧地址',
    'f_address_new': '新地址','f_metertitles': '旧表箱号','f_metertitles_new': '新表箱号','f_operate_date': '操作日期',
    'f_operator': '操作员','f_depname': '部门','f_orgname': '公司'
  },
  monthGasConfig: {
    'code': '客户编号', 'username': '客户名称', 'jan': '一月',
    'feb': '二月', 'mar': '三月', 'apr': '四月',
    'may': '五月', 'jun': '六月', 'jul': '七月', 'jug': '八月',
    'sep': '九月', 'oct': '十月', 'nov': '十一月', 'dec': '十二月', 'sum_oughtamount': '累计气量', 'avg_oughtamount': '月平均气量'
  },
  incomeGapConfig: {
    'name': '公司名称', 'date': '日期', 'weixinfei': '微信收款',
    'xitongfei': '系统收款', 'chazhi': '差值'
  },
  handGasConfig: {
    'f_orgname': '公司名称', 'jan': '一月',
    'feb': '二月', 'mar': '三月', 'apr': '四月',
    'may': '五月', 'jun': '六月', 'jul': '七月', 'jug': '八月',
    'sep': '九月', 'oct': '十月', 'nov': '十一月', 'dec': '十二月', 'sum_oughtamount': '累计气量'
  },
  YearGasConfig: {
    'code': '客户编号', 'username': '客户名称', 'f_meter_brand': '气表品牌', 'jan': '一月',
    'feb': '二月', 'mar': '三月', 'apr': '四月',
    'may': '五月', 'jun': '六月', 'jul': '七月', 'jug': '八月',
    'sep': '九月', 'oct': '十月', 'nov': '十一月', 'dec': '十二月', 'sum_oughtamount': '累计气量'
  },
  disableConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_user_phone': '联系电话', 'cy_lxr': '常用联系人', 'f_userfiles_address': '用气点名称',
    'f_address': '客户地址','f_disable_reason': '停用原因','f_othereason': '其他原因', 'f_state': '停用状态',
    'f_operate_date': '停用日期','f_operat_type': '操作类型','f_operator': '操作员','f_depname': '部门','f_orgname': '公司'
  },
  //免交
  exemptquery: {
    'f_userid': '客户编号', 'f_username': '客户名称', 'f_usertype': '用户类型', 'f_mianfee': '免交金额', 'f_miantype': '免交类型',
    'f_network': '网点','f_inputdate': '日期',
    'f_operator': '操作员'
  },
  //缴费变更
  paymentChangeQuery: {
    'f_userid': '客户编号', 'f_username': '客户名称', 'f_paymentold': '旧付款方式', 'f_payment': '付款方式', 'f_nbankname': '银行名',
    'f_nusermc': '开户名称','f_nidofcard': '银行开户账号',
    'f_newnusermc': '新开户名称','f_newnbankname': '新银行名','f_newnidofcard': '新银行开户账号','f_notnull': '备注','f_toperator': '操作人','f_tdate': '操作日期',
  },
  //冲正
  reconcileQuery: {
    'f_userid': '客户编号', 'f_username': '客户名称', 'f_upbuynum': '上次总累计购气量', 'f_payment': '付款方式','f_pregas': '预购气量', 'f_finallybought': '最后购气量',
    'f_finabuygasdate': '最后购气日期','f_preamount': '预购金额',
    'f_cumulativepurchase': '本次总累计购气量','f_metergasnums': '表本次累计购气量','f_grossproceeds': '收款','f_filiale': '分公司','f_reversalname': '冲正人','f_reversaldate': '冲正日期',
    'f_sgoperator': '操作员','f_deliverydate': '交费日期','f_reversaltime': '冲正时间','f_reversalcause': '冲正原因','f_deliverytime': '交费时间','f_gasgas': '冲正气量',
    'chongzhengtype': '冲正类型',
  },
  overDueQueryConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_address': '客户地址',
    'f_last_tablebase': '上期底数','f_tablebase': '本期底数', 'f_input_date': '抄表日期','f_latefee_ought': '减免金额',
    'f_operator_date': '减免时间','f_operator': '操作员'
  },
  GasAnalysisManageConfig:{"f_userinfo_code": "客户编号","f_user_name":"客户名称","f_address":"客户地址","f_balance": "期初余额","f_pregas": "用气气量","f_preamount":"用气金额", "f_charge_money": "收款","f_curbalance": "期末结余"},

  dataReportConfig:{
    "f_userinfo_code":"客户编号","f_user_name":"客户姓名","f_address":"地址","f_meter_brand":"气表厂家","f_operate_date":"充值时间","f_stair1price":"1单价","f_stair1amount":"1气量",
    "f_stair2price":"2单价","f_stair2amount":"2气量","f_stair3price":"3单价","f_stair3amount":"3气量","f_pregas":"气量","f_preamount":"应收金额","f_collection":"实收金额",
    "f_balance":"上期结余","f_curbalance":"本期结余","f_payment":"付款方式","f_type":"收费类型","f_operator":"操作员",
    "f_user_type":"用户类型","f_comments":"备注"
  },
  lifeDataReportConfig:{
    "f_userinfo_code":"客户编号","f_user_name":"客户姓名","f_pregas":"气量","f_collection":"金额","f_operate_date":"写卡时间","f_stair1amount":"1单价","f_stair1price":"1气量",
    "f_stair2amount":"2单价","f_stair2price":"2气量","f_stair3amount":"3单价","f_stair3price":"3气量",
    "f_payment":"付款方式","f_type":"收费类型","f_pay_id":"交易号",
    "f_terminal_num":"写卡服务机"
  },
  monthByUserConfig:{
    "f_operate_date":"日期","f_open_my":"民用开户","f_count_my":"民用人次","f_pregas_my":"民用气量","f_collection_my":"民用金额",
    "f_open_sy":"商业开户","f_count_sy":"商业人次","f_pregas_sy":"商业气量",
    "f_collection_sy":"商业金额","f_open_gy":"工业开户","f_count_gy":"工业人次","f_pregas_gy":"工业气量",
    "f_collection_gy":"工业金额","f_open":"合计开户","f_count":"合计人次","f_pregas":"合计气量",
    "f_collection":"合计金额"
  },
  lifeMonthByChargeConfig:{
    "f_operate_date":"日期","f_count":"人次","f_pregas":"气量",
    "f_collection":"金额"
  },
  monthByChargeConfig:{
    "f_operate_date":"月份",
    "f_count_open":"开户人次","f_pregas_open":"开户气量","f_collection_open":"开户金额",
    "f_count_zg":"再购人次", "f_pregas_zg":"再购气量","f_collection_zg":"再购金额",
    "f_count_bk":"补卡人次", "f_collection_bk":"补卡金额",
    "f_count_bq":"补气人次", "f_pregas_bq":"补气气量","f_collection_bq":"补气金额",
    "f_count_hb":"换表人次", "f_collection_hb":"换表金额",
    "f_count":"总次数","f_pregas":"总气量","f_collection":"总金额"
  },
  yearByUserConfig:{
    "f_operate_date":"日期","f_open_my":"民用开户","f_count_my":"民用人次","f_pregas_my":"民用气量","f_collection_my":"民用金额",
    "f_open_sy":"商业开户","f_count_sy":"商业人次","f_pregas_sy":"商业气量",
    "f_collection_sy":"商业金额","f_open_gy":"工业开户","f_count_gy":"工业人次","f_pregas_gy":"工业气量",
    "f_collection_gy":"工业金额","f_open":"合计开户","f_count":"合计人次","f_pregas":"合计气量",
    "f_collection":"合计金额"
  },
  yearByChargeConfig:{
    "f_operate_date":"月份",
    "f_count_open":"开户人次","f_pregas_open":"开户气量","f_collection_open":"开户金额",
    "f_count_zg":"再购人次", "f_pregas_zg":"再购气量","f_collection_zg":"再购金额",
    "f_count":"总次数","f_pregas":"总气量","f_collection":"总金额"
  },
  lifeYearByChargeConfig:{
    "f_operate_date":"月份",
    "f_count":"次数","f_pregas":"气量","f_collection":"金额"
  },
  BackListConfig:{
    "f_userinfo_code":"用户编号","f_user_name":"用户姓名","f_operate_date":"操作时间","f_operat_type":"操作类型","f_comments":"备注",
    'f_operator': '操作员','f_depname': '部门','f_orgname': '公司'
  },
  NewAccountConfig:{
    "f_userinfo_code":"用户编号","f_user_name":"用户姓名","f_user_phone":"用户电话","f_idnumber":"身份证号",'f_address': '客户地址',"f_price_name":"气价名称",
    "f_open_date":"开户时间","f_meternumber":"表号", "f_gas_person":"置换员","f_gas_date":"通气时间",
    "f_total_gas":"累购气量","f_meter_brand":"气表品牌","isbgl":"是否有壁挂炉","f_operator":"操作员"
  },
  AreaGeneralQuery:{
    'f_residential_area': '小区名称', 'f_zhengchang': '正常', 'f_tingyong': '停用', 'f_daikaitong': '待开通',
    'f_yichang': '销户', 'f_jibiao': '机表抄表户数', 'f_oughtamount': '机表抄表气量', 'f_oughtfee': '机表抄表金额',
    'f_collection_hand': '机表实收金额', 'f_wulian': '物联网表用气户数', 'f_oughtamount_web': '物联网表用气量', 'f_oughtfee_web': '物联网表用气金额',
    'f_collection_web': '物联网表实收金额', 'f_kabiao': '卡表购气户数', 'f_pregas': '卡表售气量', 'f_preamount': '卡表售气金额',
    'f_collection_card': '卡表实收金额', 'f_collection': '总实收金额'
  },
  PlotSummaryQuery:{
    'f_residential_area': '小区名称', 'm_newadduser': '新增民用', 'm_startuser': '启用民用', 'm_stopuser': '停用民用',
    'm_account': '销户民用', 'm_znum': '民用总户','fm_newadduser': '新增非民用', 'fm_startuser': '启用非民用', 'fm_stopuser': '停用非民用',
    'fm_account': '销户非民用', 'fm_znum': '民用非总户', 'f_znum': '合计'
  },
  ReportListConfig:{
  "f_userinfo_code":"客户编号","f_meternumber":"表号","f_user_name":"客户姓名","f_user_phone":"客户电话","f_address":"客户地址",
    "f_hand_date":"上报日期","f_meterBalanceAmt":"表内剩余金额","f_tablebase":"本次抄表底数","f_valvestate":"阀门状态",
    "f_upload_type":"上报类型", "f_insert_date":"系统接收时间","f_meterDebitAmt":"表内累计充值金额",
    "f_signal":"噪音强度","f_snr":"信噪比","f_batterylevel":"电压","f_lowlithiumbattery":"电压状态","f_networkshutvalve":"阀门强制状态",
    "f_wmprepaytype":"计量类型","f_moneystate":"金额状态","f_magneticInterference":"磁干扰异常","f_compensateState":"补偿状态"

  },
  ReportDataQueryConfig:{
    "f_userinfo_code":"客户编号","f_tablebase":"本次抄表底数","f_last_tablebase":"上次抄表底数","f_jval":"表计剩余余额","f_hand_date":"抄表日期",
    "f_last_hand_date":"上次抄表日期","f_gas_date":"开户日期","f_software_version":"软件版本号","f_table_msg":"表状态信息","f_last_meter_state_msg":"上次表状态信息",
    "f_insert_date":"插入日期","f_last_insertdate":"上次插入日期","f_whether_clear":"是否结算",
    "f_address":"地址","f_user_name":"用户名称","f_meternumber":"表号","f_super_gas":"超用气量","f_electricity":"电量等级",
    "f_times":"购气次数","f_price":"单价","f_signal":"信号强度","f_snr":"信噪比","f_batteryLevel":"电压",
    "f_networkShutValve":"阀门强制状态","f_valveState":"阀门状态","f_wmprepaytype":"计量类型","f_upload_type":"上报类型","f_moneyState":"金额状态",
    "f_LowLithiumBattery":"电压状态","f_magneticInterference":"磁干扰异常","f_meterBalanceAmt":"表内剩余金额","f_meterDebitAmt":"表内累计充值金额","f_compensateState":"补偿状态",
    "f_filiale":"分公司"
  },
  expectgasConfig:{
    "f_month":"月份","f_orgname":"公司","f_gy_num":"工业户数","f_my_num":"民用户数","f_jt_num":"集体户数","f_sy_num":"商业户数","f_sum_num":"户数合计",
    "f_gy_gas":"工业抄表量","f_my_gas":"民用抄表量","f_jt_gas":"集体抄表量","f_sy_gas":"商业抄表量","f_sum_gas":"抄表量合计",
    "f_gy_account":"工业抄表金额","f_my_account":"民用抄表金额","f_jt_account":"集体抄表金额","f_sy_account":"商业抄表金额","f_sum_account":"抄表金额合计"
  },
  pregaslistConfig:{
    "f_month":"月份","f_last_balance":"期初余额","f_wechat_pay":"微信","f_money_pay":"现金","f_bank_pay":"银行转账",
    "f_sum_pay":"预收款合计", "f_pre_deduct_money":"本期预收抵减气费金额","f_balance":"期末余额"
  },
  yucunDetails:{
    "f_userinfo_code":"用户编号","f_user_name":"用户姓名","f_user_phone":"用户电话","f_address":"用户地址","f_operate_date":"预存时间","f_last_balance":"期初余额","f_charge_money":"本期预存",
    "f_pre_deduct_money":"抵扣气费", "f_balance":"期末余额"
  },
  overduelistConfig:{
    "f_month":"月份","f_last_balance":"期初余额","f_account":"本期发生额","f_wechat_pay":"微信","f_money_pay":"现金",
    "f_reduction":"本期减免","f_bank_pay":"银行转账","f_sum_pay":"违约金合计","f_balance":"期末余额"
  },
  sellinggaslistConfig:{
    "f_month":"月份","f_last_balance":"期初余额","f_account":"本期发生额","f_wechat_pay":"微信",
    "f_money_pay":"现金","f_bank_pay":"银行转账","f_pre_pay":"预付账款抵减","f_sum_pay":"收款金额合计",
    "f_balance":"期末余额"
  },
  gasInspectionConfig:{"f_userinfo_code":"客户编号","f_meternumber":"表号","f_user_name":"客户名称","f_address":"地址","f_user_type":"用户类型",
    "f_gasproperties":"用气性质","f_table_state":"表具状态","f_meter_brand":"气表品牌","end_time":"最后抄表日期",
    "f_oughtamount":"用气量","f_oughtfee":"用气金额","qianfei_month_num":"欠费月数","qianfei_num":"欠费条数",
    "qianfei_avg_gas":"欠费月平均气量","f_totalowe_gas":"欠费气量","f_totalowe_fee":"欠费金额"},
  surplusConfig: {
    "f_userinfo_code":"客户编号", "f_user_name":"客户名称","f_address":"地址", "f_change_price":"单价调整量",
    "f_real_amount":"补差气量","f_surplus_fee":"补差金额","f_qujian":"调价区间","f_whether_pay":"是否缴费",
    "f_state":"状态","f_operate_date":"操作日期","f_operator":"人员","f_depname":"部门","f_orgname":"公司"
  },
  depositDetail: {
    "f_userinfo_code": "客户编号","f_user_name": "客户名称","f_address": "客户地址","f_user_state": "客户状态",
    "f_meter_base": "余额底数","f_balance": "账户余额","f_hand_date": "最后抄表日期","f_meter_classify": "气表类型"
  },
  // 巩义导出特殊需求
  GYfmygasConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_user_phone': '客户电话', 'f_address': '客户地址',
    'f_oughtamount': '用气量', 'f_oughtfee': '用气金额', 'f_date': '抄表区间', 'f_input_day': '天数', 'f_pregas': '预购气量',
    'f_preamount': '预购金额', 'f_user_type': '客户类型', 'f_gasproperties': '用气性质', 'f_meternumber': '表号',
    'f_meter_brand': '气表品牌', 'f_meter_classify': '气表类型', 'f_price_value': '气价详情', 'f_collection': '实交金额',
    'f_inputtor': '抄表员', 'f_hand_number': '抄表次数', 'f_usetype': '使用类型'
  },
  GYarrearsGYConfig: {
    'f_userinfo_code': '客户编号', 'f_user_name': '客户名称', 'f_meternumber': '表号', 'f_residential_area': '小区名称', 'f_address': '地址',
    'f_user_phone': '客户电话', 'f_rent_phone': '备用电话', 'f_inputtor': '抄表员', 'f_user_type': '客户类型', 'f_gasproperties': '用气性质',
    'f_tablebase': '本期底数', 'f_oughtamount': '用气量', 'f_oughtfee': '用气金额', 'f_balance': '账户余额', 'f_oughtfee_all_new': '实际欠费',
    'c': '欠费期数', 'f_hand_date': '欠费区间', 'f_book_name': '抄表册'
  }
}
