import Vue from 'vue'
import App from './App'
import { all } from 'vue-client'

// import { sale } from 'sale-client'
import { system } from 'system-clients'
import { ldap } from 'ldap-clients'
import saleManage from './saleManage'
import ShanXianSaleManage from './filiale/shexian/sale'
// import ShanXianwebSaleManage from './filiale/rongcheng/webmeterManage'
import webmeterManage from './webmeterManage'
import reportManage from './reportManage'
import newmanage from './newmanage'
import ManageHome from './ManageHome'
import echarts from 'echarts'
import AMap from 'vue-amap'

Vue.config.silent = true
// Vue.mmType = 'AES'

Vue.use(AMap)

// 初始化vue-amap
AMap.initAMapApiLoader({
  // 高德key
  key: '3cec9ae8e2349207f7ac29279e3f4abe',
  // 插件集合 （插件按需引入）
  plugin: [
    'AMap.Autocomplete', // 输入提示插件
    'AMap.PlaceSearch', // POI搜索插件
    'AMap.Scale', // 右下角缩略图插件 比例尺
    'AMap.OverView', // 地图鹰眼插件
    'AMap.ToolBar', // 地图工具条0
    'AMap.MapType', // 类别切换控件，实现默认图层与卫星图、实施交通图层之间切换的控制
    'AMap.PolyEditor', // 编辑 折线多，边形
    'AMap.CircleEditor', // 圆形编辑器插件
    'AMap.Geolocation' // 定位控件，用来获取和展示用户主机所在的经纬度位置
  ],
  uiVersion: '1.0'
})
/** **************************通用组件******************************/

Vue.prototype.$echarts = echarts
all()
// sale()
ldap()
system(false)
saleManage()
webmeterManage()
ManageHome()
newmanage()
// ShanXianwebSaleManage()
reportManage()
ShanXianSaleManage()
require('system-clients/src/styles/less/bootstrap.less')
require('./components/qinhua/Style/qinhuaStyle.less')
// require('./bootstrap/less/manageStyle/manageChile.less')
// require('./bootstrap/less/manageStyle/safeStyle.less')

// 大屏展示要放开的样式
// require('system-clients/src/styles/less/manageStyle/manageChile.less')
// require('system-clients/src/styles/less/manageStyle/safeStyle.less')
// require('system-clients/src/styles/less/manageStyle/manageStyle.less')

new Vue({
  el: 'body',
  components: { App }
})

