import init from 'test/unit/init'
import { TestUtil } from 'vue-client'

import Repair from 'src/components/CallReport/Repair'

describe('Repair: 维修员报表', () => {
  let vm = null
  before(() => {
    init()
  })

  after(function () {
  })

  it('组件能够正确显示', () => {
    vm = TestUtil.createTest(Repair, {})
    console.log(vm.$el.innerText)
  })

  it('查询数据', async function() {
    let model = {startDate: '2018-10-8', endDate: '2018-10-9', outlets: ['']}
    await vm.model.search('1=1', model)
    console.log(vm.$el.innerText)
  })
})
